<?php

/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

$hoz_style = 'style1';
?>
<?php
if(is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
$post_args = array(
    'post_type' => 'portfolio',
    'paged' => $paged,
    'posts_per_page'=> bloom_global_var('folio_posts_per_page'),
    'orderby'=> bloom_global_var('folio_archive_orderby'),
    'order'=> bloom_global_var('folio_archive_order'),
);

$folio_posts = new WP_Query($post_args);
?>

<?php if($folio_posts->have_posts()) : ?>

<div class="archive-portfolio-horizontal-style-wrap full-height resize-carousel-holder res-protoc folio-hide-footer horizontal-folio-main-wrap-ele folio-hoz-with-content-fix-mobile">
        
        <?php 
        if( bloom_global_var('folio_show_filter') ) : 

            $term_args = array(
                'orderby'           => bloom_global_var('folio_filter_orderby'),
                'order'             => bloom_global_var('folio_filter_order'),
          
            ); 
            $term_args['taxonomy'] = 'portfolio_cat';
            $portfolio_cats = get_terms($term_args); 

        ?>
            <?php if(count($portfolio_cats)): ?>
            <div class="fixed-filter">
                <div class="filter-button"><?php esc_html_e('Filter:','bloom' );?></div>
                <div class="gallery-filters ">
                    <a href="#" class="gallery-filter gallery-filter-active" data-filter="*"><?php esc_html_e('All','bloom' );?></a>
                    <?php foreach($portfolio_cats as $portfolio_cat) { ?>
                    <a href="#" class="gallery-filter" data-filter=".portfolio_cat-<?php echo esc_attr($portfolio_cat->slug ); ?>"><?php echo esc_html($portfolio_cat->name ); ?></a>
                    <?php } ?> 
                </div>
            </div>

            <?php endif; 
        endif; //end showfillter
        ?>

        <?php if( bloom_global_var('share_names') != '' ): ?>
        <div class="share-holder right-share ">
            <span><?php esc_html_e('Share: ','bloom' );?></span>
            <div class="share-container" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", bloom_global_var('share_names') ) ) ) );?>']"></div>
        </div>
        <?php endif;?>




        

            <?php
            $grid_cls = 'folio-gallery folio-hoz-gallery';
            $grid_cls .= ' '.bloom_global_var('folio_column').'-ver-columns';
            $grid_cls .= ' hoz-'.bloom_global_var('folio_pad').'-pad';

            //show load more
            if(bloom_global_var('folio_show_loadmore'))
                $grid_cls .= ' use-loadmore';

            if(bloom_global_var('folio_enable_gallery'))
                $grid_cls .= ' gallery_enabled';




            switch ($hoz_style) {
                case 'style2':
                    $grid_cls .= ' vis-desc';
                    break;
                
                case 'style3':
                    $grid_cls .= ' hde';
                    break;

                default:
                    $grid_cls .= ' hid-desc';
                    break;
            }
             
            ?>

            <div class="p_horizontal_wrap hoz-wrap-<?php echo bloom_global_var('folio_pad') ;?>-pad">
                <div id="portfolio_horizontal_container"  class="mb-ath <?php echo esc_attr($grid_cls );?>"
                <?php if( bloom_global_var('folio_show_loadmore') && (bloom_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > bloom_global_var('folio_posts_per_page') ) ):
                $lmore_data = $post_args;
                $lmore_data['action'] = 'bloom_lm_folio';
                $lmore_data['lmore_items'] = bloom_global_var('folio_loadmore_items');
                $lmore_data['layout'] = 'hoz';// grid, ver, hoz
                ?>
                 data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
                 data-lm-nonce="<?php echo wp_create_nonce( 'bloom_lm_folio' ); ?>"
                 data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
                <?php endif;?>
                >

                    <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                
                        <?php get_template_part( 'portfolio-hoz', $hoz_style ); ?>

                    <?php endwhile;?> 


                    <?php if( bloom_global_var('folio_show_loadmore') && ( bloom_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > bloom_global_var('folio_posts_per_page') ) ): ?>
                    <div class="hoz-folio-lmore-holder">
                        <a class="hoz-folio-load-more" data-remain="yes" data-click="1" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse"></i> <span class="sr-only">Loading...</span>','bloom'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
                    </div>   
                    <?php endif;?>
                    
                    
                </div>
            </div>

        </div>



</div>

<?php endif;?>
