<?php

/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

$hoz_style = 'style1';

if(is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
$post_args = array(
    'post_type' => 'portfolio',
    'paged' => $paged,
    'posts_per_page'=> bloom_global_var('folio_posts_per_page'),
    'orderby'=> bloom_global_var('folio_archive_orderby'),
    'order'=> bloom_global_var('folio_archive_order'),
);

$folio_posts = new WP_Query($post_args);
if($folio_posts->have_posts()) : 

$css_classes = array(
    'archive-portfolio-masonry-style-wrap grid-folio-main-wrap',
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

switch ($hoz_style) {
    case 'two':
        $css_class .= ' folio-grid-style-two-wrap';
        break;
    default:
        $css_class .= '  folio-grid-style-three-wrap';
        break;
}

?>


<div class="<?php echo esc_attr($css_class );?>" id="sec1">

        
    <?php
    $grid_cls = 'gallery-items folio-gallery';
    $grid_cls .= ' '.bloom_global_var('folio_column').'-columns';
    $grid_cls .= ' ver-'.bloom_global_var('folio_pad').'-pad';

    //show load more
    if(bloom_global_var('folio_show_loadmore'))
        $grid_cls .= ' use-loadmore';

    if(bloom_global_var('folio_enable_gallery'))
        $grid_cls .= ' gallery_enabled';




    switch ($hoz_style) {
        case 'style2':
            $grid_cls .= ' shw-desc';
            break;
        default:
            $grid_cls .= ' hde';
            break;
    }
    ?>
    <div class="folio-grid-folios-wrap fogrid-<?php echo esc_attr( bloom_global_var('folio_grid_content_width') );?>">

            <?php 

            if( bloom_global_var('folio_show_filter') || bloom_global_var('folio_show_counter') || bloom_global_var('share_names') != '' ) : 

                $term_args = array(
                    'orderby'           => bloom_global_var('folio_filter_orderby'),
                    'order'             => bloom_global_var('folio_filter_order'),
              
                ); 

                $term_args['taxonomy'] = 'portfolio_cat';

                $portfolio_cats = get_terms($term_args); 

            ?>
            <div class="inline-filter fl-wrap masonry-filter-style3 folio-archive-filter">
                <div class="filter-button"><?php esc_html_e('Filter:','bloom' );?></div>
                <div class="gallery-filters">
                    <a href="#" class="gallery-filter gallery-filter-active" data-filter="*"><?php esc_html_e('All','bloom' );?></a>
                    <?php foreach($portfolio_cats as $portfolio_cat) { ?>
                    <a href="#" class="gallery-filter" data-filter=".portfolio_cat-<?php echo esc_attr($portfolio_cat->slug ); ?>"><?php echo esc_html($portfolio_cat->name ); ?></a>
                    <?php } ?> 
                </div>
            </div>
                
                <?php 
            endif; //end showfillter
            ?>



            <div class="<?php echo esc_attr($grid_cls );?>" 
            <?php if( bloom_global_var('folio_use_pagi_infinite') && (bloom_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > bloom_global_var('folio_posts_per_page') ) ):
            $lmore_data = $post_args;
            $lmore_data['action'] = 'bloom_lm_folio';
            $lmore_data['lmore_items'] = bloom_global_var('folio_loadmore_items');
            $lmore_data['layout'] = 'ver';// grid, ver, hoz
            ?>
             data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
             data-lm-nonce="<?php echo wp_create_nonce( 'bloom_lm_folio' ); ?>"
             data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
            <?php endif;?>
            >
                <div class="grid-sizer"></div>
                <div class="grid-sizer-second"></div>
                <div class="grid-sizer-three"></div>

                <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                    
                    <?php get_template_part( 'portfolio-ver', $hoz_style ); ?>

                <?php endwhile;?>   
            </div>

            <?php if( bloom_global_var('folio_show_pagination') ) bloom_custom_pagination($folio_posts->max_num_pages, $range = 2, $folio_posts , false)  ;?>
            
            <?php if( bloom_global_var('folio_use_pagi_infinite') && (bloom_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > bloom_global_var('folio_posts_per_page') ) ): ?>
            <div class="folio-grid-lmore-holder">
                <a class="folio-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','bloom'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
            </div>
            <?php endif; ?>

            <div class="clearfix"></div>

            <?php if( bloom_global_var('share_names') != '' ): ?>

                <div class="share-holder no-fix-share">
                    <span><?php esc_html_e('Share :','bloom' );?></span>
                    <div class="share-container" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", bloom_global_var('share_names') ) ) ) );?>']"></div>
                </div>
            <?php endif;?>

            <?php echo bloom_global_var('folio_after_grid_content') ;?>
            
    </div>

</div>
<div class="clearfix"></div>
<?php endif;?>
<?php wp_reset_postdata(); ?>

