<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

get_header();

$show_user_info = get_user_meta(get_the_author_meta('ID'), '_bloom_show_user_info' ,true);

if(bloom_global_var('blog-grid-style') == 'columns') :
    $blog_header_image = get_user_meta(get_the_author_meta('ID'), '_bloom_right_bg_img' ,true);
    if($blog_header_image == '') $blog_header_image = bloom_global_var('blog_header_image','url',true);
?>
    <div class="fixed-column blog-fixed-column">
        <div class="bg"  data-bg="<?php echo esc_url($blog_header_image );?>"></div>
        <div class="column-title">
            <h1 class="post-sec-title"><?php the_archive_title() ;?></h1>
        </div>
    </div>
    <div class="column-wrap blg-wrap">
        <div class="content">

            <?php if($show_user_info == 'yes') :?>
            <div class="container small-container">
                <div class="post-author">
                    <div class="post-author-wrap">
                        <div class="post-author-img">
                            <?php
                                echo get_avatar(get_the_author_meta('user_email'),$size='80',$default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80' );
                            ?>
                        </div>
                        
                        <h3><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_the_author_meta('nickname');?></a></h3>
                        <p><?php echo get_the_author_meta('description');?></p>
                    
                        <ul class="author-socials">
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_twitterurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on Twitter','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_twitterurl' ,true)); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_facebookurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Like on Facebook','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_facebookurl' ,true)); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_googleplusurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Circle on Google Plus','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_googleplusurl' ,true)) ;?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_linkedinurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Be Friend on Linkedin','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_linkedinurl' ,true) ); ?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_instagramurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on Instagram','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_instagramurl' ,true) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_tumblrurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on  Tumblr','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_tumblrurl' ,true) ); ?>" target="_blank"><i class="fa fa-tumblr"></i></a></li>
                            <?php } ?>  
                        </ul>
                          
                    </div>
                </div> 
            </div>
            <div class="clearfix"></div>
            <?php endif;?>


            <?php
                get_template_part('blog-grid-list' );
            ?>                                      
            
        </div>   
    </div>

<?php else : 

$sb_w = bloom_global_var('blog-sidebar-width') ? bloom_global_var('blog-sidebar-width') : 4;
?>

<?php
if( bloom_global_var('show_blog_header') ) :?>
    <section class="blog-header-none">
            <div class="section-title">
                <h1 class="post-sec-title"><?php the_archive_title() ;?></h1>
            </div>
    </section>    
<?php endif;//end show blog header?>

    <div class="clearfix"></div>
    <div class="container <?php echo bloom_global_var('blog-grid-width');?>">
        <div class="row">
            <?php if( bloom_global_var('blog_layout') ==='left_sidebar'):?>
            
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar left-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
           
            <?php endif;?>
            <?php if( bloom_global_var('blog_layout') ==='fullwidth'):?>
              
            <div class="col-md-12 display-posts nosidebar">
            <?php else:?>
              
            <div class="col-md-<?php echo (12 - $sb_w);?> col-wrap display-posts hassidebar">
            <?php endif;?>

                <?php if($show_user_info == 'yes') :?>
                <div class="container small-container">
                    <div class="post-author">
                        <div class="post-author-wrap">
                            <div class="post-author-img">
                                <?php
                                    echo get_avatar(get_the_author_meta('user_email'),$size='80',$default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80' );
                                ?>
                            </div>
                            
                            <h3><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_the_author_meta('nickname');?></a></h3>
                            <p><?php echo get_the_author_meta('description');?></p>
                        
                            <ul class="author-socials">
                                <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_twitterurl' ,true)!=''){ ?>
                                    <li><a title="<?php esc_html_e('Follow on Twitter','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_twitterurl' ,true)); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
                                <?php } ?>
                                <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_facebookurl' ,true)!=''){ ?>
                                    <li><a title="<?php esc_html_e('Like on Facebook','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_facebookurl' ,true)); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
                                <?php } ?>
                                <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_googleplusurl' ,true)!=''){ ?>
                                    <li><a title="<?php esc_html_e('Circle on Google Plus','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_googleplusurl' ,true)) ;?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
                                <?php } ?>
                                <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_linkedinurl' ,true)!=''){ ?>
                                    <li><a title="<?php esc_html_e('Be Friend on Linkedin','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_linkedinurl' ,true) ); ?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
                                <?php } ?>
                                <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_instagramurl' ,true)!=''){ ?>
                                    <li><a title="<?php esc_html_e('Follow on Instagram','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_instagramurl' ,true) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
                                <?php } ?>
                                <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_tumblrurl' ,true)!=''){ ?>
                                    <li><a title="<?php esc_html_e('Follow on  Tumblr','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_tumblrurl' ,true) ); ?>" target="_blank"><i class="fa fa-tumblr"></i></a></li>
                                <?php } ?>  
                            </ul>
                              
                        </div>
                    </div> 
                </div>
                <div class="clearfix"></div>
                <?php endif;?>

                <?php
                    get_template_part('blog-grid-list' );
                ?>

            </div>
            
            <?php if( bloom_global_var('blog_layout') ==='right_sidebar'):?>
            
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar right-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
            
            <?php endif;?>

        </div>
    </div>

<?php 
endif;//end blog style for columns

get_footer( );
