<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */


add_action( 'cmb2_admin_init', 'bloom_cmb2_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 */
function bloom_cmb2_sample_metaboxes() {

    // Start with an underscore to hide fields from custom fields list
    $prefix = '_bloom_';

    $hidenav_cmb = new_cmb2_box( array(
        'id'            => 'hide_nav_options',
        'title'         => esc_html__( 'Navigation Options', 'bloom' ),
        'object_types'  => array( 'post','page','portfolio','member'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );
    $hidenav_cmb->add_field( array(
        'name' => esc_html__('Hide Header', 'bloom' ),
        'id'   => $prefix . 'hide_navigation',
        'type'    => 'radio_inline',
        'default'=>'no',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );
    $hidenav_cmb->add_field( array(
        'name' => esc_html__('Hide Footer', 'bloom' ),
        'id'   => $prefix . 'hide_footer',
        'type'    => 'radio_inline',
        'default'=>'no',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );

    /**
     * Initiate Post metabox
     */
    $post_cmb = new_cmb2_box( array(
        'id'            => 'post_options',
        'title'         => esc_html__( 'Post Format Options', 'bloom' ),
        'object_types'  => array( 'post'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $post_cmb->add_field( array(
        'name' => esc_html__('Post Slider and Gallery Images', 'bloom' ),
        'id'   => $prefix . 'post_slider_images',
        'type' => 'file_list',
        'preview_size' => array( 150, 150 ), // Default: array( 50, 50 )
    ) );

    $post_cmb->add_field( array(
        'name' => esc_html__('Gallery Columns', 'bloom' ),
        'desc' => esc_html__('For Gallery post format only.','bloom'),
        'id'   => $prefix . 'gallery_cols',
        'type'    => 'select',
        'default'=>'three',
        'options' => array(
            'one' => esc_html__( 'One column', 'bloom' ),
            'two'   => esc_html__( 'Two columns', 'bloom' ),
            'three'   => esc_html__( 'Three columns', 'bloom' ),
            'four'   => esc_html__( 'Four columns', 'bloom' ),
            'five'   => esc_html__( 'Five columns', 'bloom' ),
            
        ),
    ) );

    $post_cmb->add_field( array(
        'name'       => esc_html__('oEmbed for Post Format', 'bloom' ),
        'desc'       => wp_kses(__('Enter a youtube, twitter, or instagram URL. Supports services listed at <a href="http://codex.wordpress.org/Embeds">http://codex.wordpress.org/Embeds</a>.', 'bloom' ),array('a'=>array('href'=>array()))),
        'id'   => $prefix . 'embed_video',
        'type' => 'oembed',
    ) );

    $post_cmb->add_field( array(
        'name' => esc_html__('Right Column Image', 'bloom' ),
        'id'   => $prefix . 'right_col_img',
        'type'    => 'file',
        // Optional:
        'options' => array(
            'url' => true, // Hide the text input for the url
        ),
    ) );

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    /**
     * Initiate Post metabox 2
     */
    $post2_cmb = new_cmb2_box( array(
        'id'            => 'post_layout_options',
        'title'         => esc_html__( 'Post Layout Options', 'bloom' ),
        'object_types'  => array( 'post'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__('Right background image', 'bloom' ),
        'id'   => $prefix . 'left_bg_img',
        'type'    => 'file',
        // Optional:
        'options' => array(
            'url' => true, // Hide the text input for the url
        ),
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__('Show Post Header', 'bloom' ),
        'id'   => $prefix . 'show_page_header',
        'type'    => 'radio_inline',
        'default'=>'yes',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__('Show Post Title', 'bloom' ),
        'id'   => $prefix . 'show_page_title',
        'type'    => 'radio_inline',
        'default'=>'yes',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__('Shows Breadcrumbs', 'bloom' ),
        'id'   => $prefix . 'show_page_breadcrumbs',
        'type'    => 'radio_inline',
        'default'=>'yes',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__( 'Header Video Background', 'bloom' ),
        'desc' => esc_html__( 'Please enter your Youtube video ID (ex: oDpSPNIozt8 ) here to use header background video feature or leave empty to use header background image selected bellow.', 'bloom' ),
        'id'   => $prefix . 'page_header_video',
        'default' => '',
        'type'    => 'text',
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__('Header Image Background', 'bloom' ),
        'id'   => $prefix . 'page_header_bg',
        'type'    => 'file',
        // Optional:
        'options' => array(
            'url' => true, // Hide the text input for the url
            
        ),
    ) );




    $post2_cmb->add_field( array(
        'name' => esc_html__('Header Additional Info', 'bloom' ),
        'id'   => $prefix . 'page_header_intro',
        'type' => 'textarea_small'
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__( 'Single Layout', 'bloom' ),
        'desc' => esc_html__( 'Choose display layout for this post', 'bloom' ),
        'id' => $prefix . 'single_layout',
        'type'             => 'select',
        'show_option_none' => false,
        'default'          => 'right_sidebar',
        'options'          => array(
            'fullwidth' => esc_html__( 'Fullwidth', 'bloom' ),
            'right_sidebar' => esc_html__( 'Right Sidebar', 'bloom' ),
            'left_sidebar' => esc_html__( 'Left Sidebar', 'bloom' ),
        ),
    ) );

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    /**
     * Initiate Portfolio metabox
     */
    $folio_cmb = new_cmb2_box( array(
        'id'            => 'porfolio_list_fields',
        'title'         => esc_html__('Portfolio List Options', 'bloom' ),
        'object_types'  => array( 'portfolio'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $folio_cmb->add_field( array(
        'name' => esc_html__('Video Link', 'bloom' ),
        'desc' => wp_kses(__('Enter a youtube, twitter, or instagram URL to display video as a thumbnail. Supports services listed at <a href="http://codex.wordpress.org/Embeds" target="_blank">http://codex.wordpress.org/Embeds</a>.', 'bloom' ),array('a'=>array('href'=>array(),'target'=>array()))),
        'id'   => $prefix . 'folio_video',
        'type' => 'oembed',
    ) );

    $folio_cmb->add_field( array(
        'name' => esc_html__( 'Masonry Size', 'bloom' ),
        'desc' => esc_html__( 'Choose the size of item thumbnail that show in portfolio masonry grid. You must select a Feature image for this portfolio item.', 'bloom' ),
        'id' => $prefix . 'masonry_size',
        'type'             => 'select',
        'show_option_none' => false,
        'default'          => 'one',
        'options' => array(
            'one' => esc_html__( 'Size One', 'bloom' ),
            'second' => esc_html__( 'Size Two', 'bloom' ),
            'three' => esc_html__( 'Size Three', 'bloom' ),
        ),
    ) );

    $folio_cmb->add_field( array(
        'name' => esc_html__('Popup Image or Video', 'bloom' ),
        'desc' => esc_html__('Select image or Youtube, Vimeo video link for popup. Leave empty for single portfolio page link.', 'bloom' ),
        'id'   => $prefix . 'folio_popup_link',
        'type'    => 'file',
        // Optional:
        'options' => array(
            'url' => true, // Hide the text input for the url
           
        ),
    ) );

    $folio_cmb->add_field( array(
        'name' => esc_html__( 'External Link', 'bloom' ),
        'desc' => esc_html__( 'Link your portfolio item to EXTERNAL page instead of the portfolio page.', 'bloom' ),
        'id'   => $prefix . 'folio_external_link',
        'default' => '',
        'type'    => 'text',
    ) );

    $folio_cmb->add_field( array(
        'name' => esc_html__('Popup Gallery', 'bloom' ),
        'desc' => esc_html__('Select images for this portfolio gallery. The gallery will display when user click to the portfolio thumbnail on list.', 'bloom' ),
        'id'   => $prefix . 'folio_popup_gallery',
        'type'    => 'file_list',
        // Optional:
        'options' => array(
            'url' => true, // Hide the text input for the url
            // 'add_upload_file_text' => 'Add File' // Change upload button text. Default: "Add or Upload File"
        ),
    ) );
    


////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    /**
     * Initiate Page metabox
     */
    $page_cmb = new_cmb2_box( array(
        'id'            => 'des_header',
        'title'         => esc_html__('Page Layout Options', 'bloom' ),
        'object_types'  => array( 'page'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

   

    $page_cmb->add_field( array(
        'name' => esc_html__('Show Page Header', 'bloom' ),
        'id'   => $prefix . 'show_page_header',
        'type'    => 'radio_inline',
        'default'=>'yes',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );

    $page_cmb->add_field( array(
        'name' => esc_html__('Show Page Title', 'bloom' ),
        'id'   => $prefix . 'show_page_title',
        'type'    => 'radio_inline',
        'default'=>'yes',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );

    $page_cmb->add_field( array(
        'name' => esc_html__('Header Additional Info  (Main Title for Home Landing Page template)', 'bloom' ),
        'id'   => $prefix . 'page_header_intro',
        'type' => 'textarea_small'
    ) );

//////////////////////////////////////////////////////////////////////////////////////


    $member_cmb2 = new_cmb2_box( array(
        'id'            => 'member_additional_mtb',
        'title'         => esc_html__('Social Links', 'bloom' ),
        'object_types'  => array( 'member'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );


    $member_cmb2->add_field( array(
        'name' => esc_html__( 'Facebook URL', 'bloom' ),
        'id'   => $prefix . 'facebookurl',
        'type' => 'text_url',
    ) );

    $member_cmb2->add_field( array(
        'name' => esc_html__( 'Twitter URL', 'bloom' ),
        'id'   => $prefix . 'twitterurl',
        'type' => 'text_url',
    ) );
    $member_cmb2->add_field( array(
        'name' => esc_html__( 'Google+ URL', 'bloom' ),
        'id'   => $prefix . 'googleplusurl',
        'type' => 'text_url',
    ) );
    $member_cmb2->add_field( array(
       'name' => esc_html__( 'Linkedin URL', 'bloom' ),
        'id'   => $prefix . 'linkedinurl',
        'type' => 'text_url',
    ) );
    $member_cmb2->add_field( array(
       'name' => esc_html__( 'Instagram URL', 'bloom' ),
        'id'   => $prefix . 'instagramurl',
        'type' => 'text_url',
    ) );
    $member_cmb2->add_field( array(
       'name' => esc_html__( 'Tumblr URL', 'bloom' ),
        'id'   => $prefix . 'tumblrurl',
        'type' => 'text_url',
    ) );

    $member_cmb2->add_field( array(
       'name' => esc_html__( 'Behance URL', 'bloom' ),
        'id'   => $prefix . 'behanceurl',
        'type' => 'text_url',
    ) );


////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    /**
     * Initiate Testimonials metabox
     */
    $testim_cmb = new_cmb2_box( array(
        'id'            => 'testimonial_mtb',
        'title'         => esc_html__('Testimonial Meta Options', 'bloom' ),
        'object_types'  => array( 'cth_testimonial'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $testim_cmb->add_field( array(
        'name' => esc_html__( 'Rating Stars', 'bloom' ),
       
        'id' => $prefix . 'testim_rate',
        'type'             => 'select',
        'show_option_none' => false,
        'default'          => 'five',
        'options' => array(
            'no' => esc_html__( 'Not Rate', 'bloom' ),
            '1' => esc_html__( '1 Star', 'bloom' ),
            '1.5' => esc_html__( '1.5 Stars', 'bloom' ),
            '2' => esc_html__( '2 Stars', 'bloom' ),
            '2.5' => esc_html__( '2.5 Stars', 'bloom' ),
            '3' => esc_html__( '3 Stars', 'bloom' ),
            '3.5' => esc_html__( '3.5 Stars', 'bloom' ),
            '4' => esc_html__( '4 Stars', 'bloom' ),
            '4.5' => esc_html__( '4.5 Stars', 'bloom' ),
            '5' => esc_html__( '5 Stars', 'bloom' ),
            
        ),
    ) );


    /**
     * Initiate User Profile metabox
     */
    $user_cmb = new_cmb2_box( array(
        'id'         => 'user_edit',
        'title'      => esc_html__( 'User Profile Metabox', 'bloom' ),
        'object_types'  => array( 'user' ), // Tells CMB to use user_meta vs post_meta
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'core',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $user_cmb->add_field( array(
        'name' => esc_html__('Right background image', 'bloom' ),
        'id'   => $prefix . 'right_bg_img',
        'type'    => 'file',
        // Optional:
        'options' => array(
            'url' => true, // Hide the text input for the url
        ),
    ) );

    

    $user_cmb->add_field( array(
        'name' => esc_html__('Show User Info Block', 'bloom' ),
        // 'desc' => esc_html__('Select an image for resume grid view','bloom'),
        'id'   => $prefix . 'show_user_info',
        'type'    => 'radio_inline',
        'default'=>'yes',
        'options' => array(
            'yes' => esc_html__( 'Yes', 'bloom' ),
            'no'   => esc_html__( 'No', 'bloom' ),
            
        ),
    ) );


    $user_cmb->add_field( array(
        'name' => esc_html__( 'Facebook URL', 'bloom' ),
      
        'id'   => $prefix . 'facebookurl',
        'type' => 'text_url',
        
    ) );

    $user_cmb->add_field( array(
        'name' => esc_html__( 'Twitter URL', 'bloom' ),
        
        'id'   => $prefix . 'twitterurl',
        'type' => 'text_url',
        
    ) );
    $user_cmb->add_field( array(
        'name' => esc_html__( 'Google+ URL', 'bloom' ),
        
        'id'   => $prefix . 'googleplusurl',
        'type' => 'text_url',
        
    ) );
    $user_cmb->add_field( array(
       'name' => esc_html__( 'Linkedin URL', 'bloom' ),
        
        'id'   => $prefix . 'linkedinurl',
        'type' => 'text_url',
        
    ) );
    $user_cmb->add_field( array(
       'name' => esc_html__( 'Instagram URL', 'bloom' ),
        
        'id'   => $prefix . 'instagramurl',
        'type' => 'text_url',
        
    ) );
    $user_cmb->add_field( array(
       'name' => esc_html__( 'Tumblr URL', 'bloom' ),
        
        'id'   => $prefix . 'tumblrurl',
        'type' => 'text_url',
        
    ) );

}