<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
?>
<article <?php post_class('content-gallery fl-wrap artcicle-list');?>>
    <div class="container small-container">
        <div class="section-title">

            <?php if( bloom_global_var('blog_date')  || bloom_global_var('blog_cats') || bloom_global_var('blog_comments')  ):?>
            <div class="blog-opt fl-wrap">
                <?php if( bloom_global_var('blog_date') ) :?>
                <div class="art-date"><?php the_time(get_option('date_format'));?></div>
                <?php endif;?>

                <?php if( bloom_global_var('blog_author') ) :?>
                <div class="art-author"><?php the_author_posts_link( );?></div>
                <?php endif;?>
                    
                <?php if( bloom_global_var('blog_cats') ) :?>
                    <?php if(get_the_category( )) { ?>
                        <?php the_category( ); ?>       
                    <?php } ?>  
                <?php endif;?>

                <?php if( bloom_global_var('blog_comments') ) :?>
                <div class="art-com"><a href="<?php comments_link(); ?>"><?php comments_number( _x('0 comment','0 comment text format', 'bloom'), _x('1 comment','1 comment text format', 'bloom'), _x('% comments','plural comment text format', 'bloom') ); ?></a></div>
                <?php endif;?>

            </div>
            <?php endif;?>

            <h2><a href="<?php the_permalink();?>" class="ajax"><?php the_title( );?></a> <?php edit_post_link( esc_html__( 'Edit', 'bloom' ), '<span class="edit-link">', '</span>' ); ?></h2>
        </div>

        <div class="fl-wrap">
            <?php 
            // Get the list of files
            $slider_images = get_post_meta( get_the_ID(), '_bloom_post_slider_images', true);
            if( !empty($slider_images)&& bloom_global_var('blog_list_show_format') ){ ?>
            <div class="media-wrap fl-wrap">
                <div class="gallery-items lightgallery has-popup <?php echo get_post_meta( get_the_ID() , '_bloom_gallery_cols', true );?>-columns" data-looped="1">
                    <div class="grid-sizer"></div>
                    <div class="grid-sizer-second"></div>
                    <div class="grid-sizer-three"></div>
                <?php 
                foreach ( (array) $slider_images as $img_id => $img_url ) {

                    $at_img = get_post($img_id);

                    $at_tit = $at_img->post_title;
                    $at_cap = $at_img->post_excerpt;
                    $at_des = $at_img->post_content;

                    $item_w = ' ';
                    if(strpos($at_cap, "size-two") !== false){
                        $item_w = ' gallery-item-second';
                    }
                    if(strpos($at_cap, "size-three") !== false){
                        $item_w = ' gallery-item-three';
                    }

                    ?>

                    <div class="gallery-item <?php echo esc_attr( $item_w );?>">
                        <div class="grid-item-holder">
                            <div class="box-item fl-wrap popup-box">
                                <?php echo wp_get_attachment_image($img_id, 'bloom-gallery' ); ?>
                                <?php if(bloom_global_var('all_image_popup')) :?>
                                    <a data-src="<?php echo esc_url(wp_get_attachment_url( $img_id ) );?>" data-sub-html="<h4><?php echo esc_attr($at_tit );?></h4><?php echo esc_attr($at_des );?>" class="popup-image hoz-gal-one-pop-link transition"><i class="fa fa-search"></i></a>
                                <?php else : ?>
                                    <a data-src="<?php echo esc_url(wp_get_attachment_url( $img_id ) );?>" class="popup-image slider-zoom"><i class="fa fa-search"></i></a>
                                <?php endif;?>
                            </div>
                        </div>
                    </div>

                <?php
                }
                ?>
                

                </div>
            </div>
            <?php
            }elseif(has_post_thumbnail( )){ ?>
            <div class="media-wrap fl-wrap">
                <?php the_post_thumbnail('bloom-thumb',array('class'=>'respimg') ); ?>
            </div>
            <?php } ?>
            <?php the_excerpt();?>
            <?php
                wp_link_pages( array(
                'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'bloom' ) . '</span>',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                ) );
            ?>
            <?php if( bloom_global_var('blog_tags') && get_the_tags( )) { ?>
            <div class="single-post-tags">
                <?php the_tags('','','');?> 
            </div>
            <?php } ?>
            <div class="clearfix"></div>
            <a href="<?php the_permalink();?>" class="ajax btn anim-button trans-btn fl-l"  ><span><?php esc_html_e('View Article','bloom' );?></span><i class="fa fa-eye"></i></a>
        </div>


    </div>
</article>