<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
?>

<article <?php post_class('content-content fl-wrap artcicle-list');?>>
	<div class="container small-container">
		<div class="section-title">

            <?php if( bloom_global_var('blog_date')  || bloom_global_var('blog_cats') || bloom_global_var('blog_comments')  ):?>
			<div class="blog-opt fl-wrap">
		        <?php if( bloom_global_var('blog_date') ) :?>
				<div class="art-date"><?php the_time(get_option('date_format'));?></div>
				<?php endif;?>

				<?php if( bloom_global_var('blog_author') ) :?>
				<div class="art-author"><?php the_author_posts_link( );?></div>
				<?php endif;?>
					
				<?php if( bloom_global_var('blog_cats') ) :?>
					<?php if(get_the_category( )) { ?>
						<?php the_category( ); ?>		
					<?php } ?>	
				<?php endif;?>

				<?php if( bloom_global_var('blog_comments') ) :?>
	            <div class="art-com"><a href="<?php comments_link(); ?>"><?php comments_number( _x('0 comment','0 comment text format', 'bloom'), _x('1 comment','1 comment text format', 'bloom'), _x('% comments','plural comment text format', 'bloom') ); ?></a></div>
	            <?php endif;?>

		    </div>
			<?php endif;?>

            <h2><a href="<?php the_permalink();?>" class="ajax"><?php the_title( );?></a> <?php edit_post_link( esc_html__( 'Edit', 'bloom' ), '<span class="edit-link">', '</span>' ); ?></h2>
        </div>

        <div class="fl-wrap">
            <?php 
			// Get the list of files
		    $slider_images = get_post_meta( get_the_ID(), '_bloom_post_slider_images', true);
		    if( !empty($slider_images)&& bloom_global_var('blog_list_show_format') && get_post_format( ) !== 'gallery' ){ ?>
			<div class="media-wrap fl-wrap">
				<div class="single-slider-holder fl-wrap">
		            <div class="single-slider owl-carousel owl-theme fl-wrap" data-loppsli="1">
		               	<?php 
		                foreach ( (array) $slider_images as $img_id => $img_url ) {
					        echo '<div class="item">';
					        echo wp_get_attachment_image($img_id, 'bloom-thumb','',array('class'=>'respimg') );
					        echo '<a data-src="'.esc_url(bloom_get_attachment_thumb_link($img_id, 'full') ).'" class="single-popup-image slider-zoom"><i class="fa fa-search"></i></a>';
					        echo '</div>';
					    }
						?>
		               	
		            </div>
		            <div class="customNavigation gals">
		                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
		                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
		            </div>
		        </div>
		    </div>
			<?php
			}elseif(has_post_thumbnail( )){ ?>
			<div class="media-wrap fl-wrap">
		        <?php the_post_thumbnail('bloom-thumb',array('class'=>'respimg') ); ?>
		    </div>
			<?php } ?>
            <?php the_excerpt();?>
		    <?php
				wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'bloom' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				) );
			?>
			<?php if( bloom_global_var('blog_tags') && get_the_tags( )) { ?>
			<div class="single-post-tags">
				<?php the_tags('','','');?>	
	        </div>
			<?php } ?>
			<div class="clearfix"></div>
            <a href="<?php the_permalink();?>" class="ajax btn anim-button trans-btn fl-l"  ><span><?php esc_html_e('View Article','bloom' );?></span><i class="fa fa-eye"></i></a>
        </div>


	</div>
</article>
