<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if(!isset($singlenav_in_content)) $singlenav_in_content = true;

$show_page_title = get_post_meta(get_the_ID(),'_bloom_show_page_title',true );

?>
<article <?php post_class('single-article' );?>>
	<div class="container small-container">

		<div class="section-title section-title-single">

            <?php if( bloom_global_var('blog_date_single')  || bloom_global_var('blog_cats_single') || bloom_global_var('blog_comments_single') || bloom_global_var('blog_author_meta') ):?>
			<div class="blog-opt fl-wrap">
		        <?php if( bloom_global_var('blog_date_single') ) :?>
				<div class="art-date"><?php the_date();?></div>
				<?php endif;?>

				<?php if( bloom_global_var('blog_author_meta') ) :?>
				<div class="art-author"><?php the_author_posts_link( );?></div>
				<?php endif;?>
					
				<?php if( bloom_global_var('blog_cats_single') ) :?>
					<?php if(get_the_category( )) { ?>
						<?php the_category( ); ?>		
					<?php } ?>	
				<?php endif;?>

				<?php if( bloom_global_var('blog_comments_single') ) :?>
	            <div class="art-com"><a href="<?php comments_link(); ?>"><?php comments_number( _x('0 comment','0 comment text format', 'bloom'), _x('1 comment','1 comment text format', 'bloom'), _x('% comments','plural comment text format', 'bloom') ); ?></a></div>
	            <?php endif;?>

		    </div>
			<?php endif;?>
			<?php 
			if($show_page_title == 'yes') : ?>
			<h2 class="single-post-title"><?php single_post_title( );?></h2>
			<?php endif;?>
        </div>
		
		<div class="fl-wrap">

			<?php if( bloom_global_var('blog_featured_single') ) :?>
				<?php 
				// Get the list of files
			    $slider_images = get_post_meta( get_the_ID(), '_bloom_post_slider_images', true);
			    if(!empty($slider_images)){ ?>
			    <div class="media-wrap fl-wrap">
			    	<?php if(get_post_format( ) == 'gallery'):?>
			    		<div class="gallery-items lightgallery has-popup <?php echo get_post_meta( get_the_ID() , '_bloom_gallery_cols', true );?>-columns" data-looped="1">
		                    <div class="grid-sizer"></div>
		                    <div class="grid-sizer-second"></div>
		                    <div class="grid-sizer-three"></div>
		                <?php 
		                foreach ( (array) $slider_images as $img_id => $img_url ) {

		                    $at_img = get_post($img_id);

		                    $at_tit = $at_img->post_title;
		                    $at_cap = $at_img->post_excerpt;
		                    $at_des = $at_img->post_content;

		                    $item_w = ' ';
		                    if(strpos($at_cap, "size-two") !== false){
		                        $item_w = ' gallery-item-second';
		                    }
		                    if(strpos($at_cap, "size-three") !== false){
		                        $item_w = ' gallery-item-three';
		                    }

		                    ?>

		                    <div class="gallery-item <?php echo esc_attr( $item_w );?>">
		                        <div class="grid-item-holder">
		                            <div class="box-item fl-wrap popup-box">
		                                <?php echo wp_get_attachment_image($img_id, 'bloom-gallery' ); ?>
										<?php if(bloom_global_var('all_image_popup')) :?>
			                                <a data-src="<?php echo esc_url(wp_get_attachment_url( $img_id ) );?>" data-sub-html="<h4><?php echo esc_attr($at_tit );?></h4><?php echo esc_attr($at_des );?>" class="popup-image hoz-gal-one-pop-link transition"><i class="fa fa-search"></i></a>
			                            <?php else : ?>
			                                <a data-src="<?php echo esc_url(wp_get_attachment_url( $img_id ) );?>" class="popup-image slider-zoom"><i class="fa fa-search"></i></a>
			                            <?php endif;?>
		                            </div>
		                        </div>
		                    </div>

		                <?php
		                }
		                ?>
		                

		                </div>
			    	<?php else :?>
						<div class="single-slider-holder fl-wrap">
				            <div class="single-slider owl-carousel owl-theme fl-wrap" data-loppsli="1">
				               	<?php 
				                foreach ( (array) $slider_images as $img_id => $img_url ) {
							        echo '<div class="item">';
							        echo wp_get_attachment_image($img_id, 'bloom-large','',array('class'=>'respimg') );
							        echo '<a data-src="'.esc_url(bloom_get_attachment_thumb_link($img_id, 'full') ).'" class="single-popup-image slider-zoom"><i class="fa fa-search"></i></a>';
							        echo '</div>';
							    }
								?>
				               	
				            </div>
				            <div class="customNavigation gals">
				                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
				                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
				            </div>
				        </div>
		        	<?php endif;?>
			    </div>
			    <?php }elseif(get_post_meta(get_the_ID(), '_bloom_embed_video', true)!=""){ ?>	
			    <div class="media-wrap fl-wrap">
			    	<?php if(get_post_format( ) == 'audio'):?>
			    		<div class="resp-video-audio">
			    		<?php 
							$audio_url = get_post_meta(get_the_ID(), '_bloom_embed_video', true);
							if(preg_match('/(.mp3|.ogg|.wma|.m4a|.wav)$/i', $audio_url )){
								$attr = array(
									'src'      => $audio_url,
									'loop'     => '',
									'autoplay' => '',
									'preload'  => 'none'
								);
								echo wp_audio_shortcode( $attr );
							}else{
								echo wp_oembed_get( $audio_url , array('height'=>'166') );
							}
						?>
			    		</div>
			    	<?php else :?>
			            <div class="resp-video">
			                <?php echo wp_oembed_get( esc_url(get_post_meta(get_the_ID(), '_bloom_embed_video', true) ) ); ?>
			            </div>
		        	<?php endif;?>
		        </div>
				<?php
				}elseif(has_post_thumbnail( )){ ?>
				<div class="media-wrap fl-wrap">
		            <?php the_post_thumbnail('bloom-large',array('class'=>'respimg') ); ?>
		        </div>
				<?php } ?>

			<?php endif;?>

		    <?php if( bloom_global_var('share_names') != '' && bloom_global_var('blog_show_share') ): ?>
			<div class="share-holder no-fix-share">
	            <span><?php esc_html_e('Share :','bloom' );?></span>
	            <div class="share-container" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", bloom_global_var('share_names') ) ) ) );?>']"></div>
	        </div>
	        <?php endif;?>

		    <div class="single-post-inner">
		        <?php the_content();?>

		        <?php
					wp_link_pages( array(
						'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'bloom' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
					) );
				?>
			</div>
			<?php if( bloom_global_var('blog_tags_single') && get_the_tags( ) ) :?>
			<div class="single-post-tags fl-wrap">
                <?php the_tags('','','');?>	
            </div>
            <?php endif;?>

			<?php if($singlenav_in_content) bloom_post_nav();?> 

			<?php if( bloom_global_var('blog_author_single') && get_the_author_meta('description') !='' ) :?>
			<div class="post-author">
			    <div class="post-author-wrap">
			        <div class="post-author-img">
			            <?php 
				            echo get_avatar(get_the_author_meta('user_email'),$size='80',$default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80' );
				        ?>
			        </div>
			        <span><?php esc_html_e('Written By','bloom' );?></span>
			        <h3><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_the_author_meta('nickname');?></a></h3>
			        <p><?php echo get_the_author_meta('description');?></p>
			        <?php if ( 'no' !== _x( 'yes', 'Show author socials on single post page: yes or no', 'bloom' ) ) : ?>
			        <ul class="author-socials">
					    <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_twitterurl' ,true)!=''){ ?>
					    	<li><a title="<?php esc_html_e('Follow on Twitter','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_twitterurl' ,true)); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
					    <?php } ?>
					    <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_facebookurl' ,true)!=''){ ?>
					    	<li><a title="<?php esc_html_e('Like on Facebook','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_facebookurl' ,true)); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
					    <?php } ?>
					    <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_googleplusurl' ,true)!=''){ ?>
					    	<li><a title="<?php esc_html_e('Circle on Google Plus','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_googleplusurl' ,true)) ;?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
					    <?php } ?>
					    <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_linkedinurl' ,true)!=''){ ?>
					    	<li><a title="<?php esc_html_e('Be Friend on Linkedin','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_linkedinurl' ,true) ); ?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
					    <?php } ?>
					    <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_instagramurl' ,true)!=''){ ?>
					    	<li><a title="<?php esc_html_e('Follow on Instagram','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_instagramurl' ,true) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
					    <?php } ?>
					    <?php if(get_user_meta(get_the_author_meta('ID'), '_bloom_tumblrurl' ,true)!=''){ ?>
					    	<li><a title="<?php esc_html_e('Follow on  Tumblr','bloom');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_bloom_tumblrurl' ,true) ); ?>" target="_blank"><i class="fa fa-tumblr"></i></a></li>
					    <?php } ?>	
					</ul>
					
					<?php endif; ?>	    
			    </div>
			</div>
			<?php endif;?>

			<?php
			if ( comments_open() || get_comments_number() ) :
				
			 	comments_template(); 
			 	
			endif; ?>

       	</div>
    </div>
</article>



 
              
