<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

?>
<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>"/>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
        <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
        <!-- Favicon -->        
        <link rel="shortcut icon" href="<?php echo esc_url( bloom_global_var('favicon','url',true) );?>"/>
        <?php } ?>
        
        <?php    
    
        wp_head(); ?>
    </head>
    <body <?php body_class();?>>
        <?php if( bloom_global_var("show_loader") ):?>
        <div id="bloom-loader" class="loader">
            <div class="tm-loader">
                <div id="circle"></div>
            </div>
        </div>
        <div id="main">
        <?php else :?>
        <div id="main" class="is-hide-loader">
        <?php endif;?>
            <header class="bloom-header main-header">
                <!-- Nav button-->
                <div class="nav-button">
                    <span  class="nos"></span>
                    <span class="ncs"></span>
                    <span class="nbs"></span>
                    <div class="nav-text"><?php esc_html_e('Menu','bloom' ); ?></div>
                </div>
                <!-- Nav button end -->
                <!-- Logo--> 
                <div class="logo-holder">
                    <a class="ajax" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if( bloom_global_var('logo_first','url',true) ):?>
                        <img src="<?php echo esc_url( bloom_global_var('logo_first','url',true) );?>" 
                        <?php if( bloom_global_var('logo_size_width') != '' ):?>
                         width="<?php echo esc_attr( bloom_global_var('logo_size_width') );?>" 
                        <?php endif;?>
                        <?php if( bloom_global_var('logo_size_height') != '' ):?>
                         height="<?php echo esc_attr( bloom_global_var('logo_size_height') );?>" 
                         style="height:<?php echo esc_attr( bloom_global_var('logo_size_height') );?>px;"
                        <?php endif;?>
                         class="bloom-logo" alt="<?php bloginfo('name');?>" />
                        <?php endif;?>
                        <?php if( bloom_global_var('logo_text') != '' ):?>
                            <h1 class="logo_text"><?php echo esc_html( bloom_global_var('logo_text') );?></h1>
                        <?php endif;?>
                        <?php if( bloom_global_var('slogan') != '' ):?>
                            <h3 class="slogan"><em><?php echo esc_html( bloom_global_var('slogan') );?></em></h3>
                        <?php endif;?>
                    </a>
                </div>
                <!-- Logo  end--> 
                <!-- header-info -->
                <?php if( bloom_global_var('topbar_socials') != '' ): ?>
                <div class="header-info">
                    <?php if( bloom_global_var('topbar_socials') != '' ) echo wp_kses_post( bloom_global_var('topbar_socials') ); ?>
                </div>
                <?php endif;?>
                <!-- header-info end -->                
            </header>
            <!--=============== wrapper ===============-->  
            <div id="wrapper">
                <?php bloom_echo_vc_custom_styles();?>

                <?php 
                $hide_footer_con = 'no';
                if(is_singular( )){
                    $hide_footer_con = get_post_meta(get_the_ID(),'_bloom_hide_footer',true ) ;
                }
                $contentAddCl ='';
                if($hide_footer_con === 'yes'){
                    $contentAddCl .=' pad-bot no-vis-footer';
                }else{
                    $contentAddCl .=' vis-footer';
                }
                $hide_header_con = 'no';
                if(is_singular( )){
                    $hide_header_con = get_post_meta(get_the_ID(),'_bloom_hide_navigation',true ) ;
                }
                if($hide_header_con === 'yes'){
                    $contentAddCl .=' fl-con-wrap';
                }else{
                    $contentAddCl .=' vis-header';
                }

                
                ?>
                <div class="content-holder scale-bg2<?php echo esc_attr($contentAddCl );?>" id="bloom-content-wrapper">
                    <!--  Navigation --> 
                    <div class="nav-overlay"></div>
                    <div class="nav-inner isDown">
                        <div id="hid-men">
                            <?php 
                                $defaults1= array(
                                    'theme_location'  => 'primary',
                                    'menu'            => 'Top Navigation Menu',
                                    'container'       => '',
                                    'container_class' => '',
                                    'container_id'    => '',
                                    'menu_class'      => 'bloom_main-nav',
                                    'menu_id'         => '',
                                    'echo'            => true,
                                    'fallback_cb'     => 'wp_page_menu',
                                    'walker'          => new Walker_Nav_Menu(),
                                    'before'          => '',
                                    'after'           => '',
                                    'link_before'     => '',
                                    'link_after'      => '',
                                    'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                    'depth'           => 0,
                                );
                                
                                if ( has_nav_menu( 'primary' ) ) {
                                    wp_nav_menu( $defaults1 );
                                }
                            ?>
                        </div>
                    </div>


