<?php
/**
 * Disable front-end builder
 */
function bloom_vc_remove_frontend_links() {
    vc_disable_frontend(); // this will disable frontend editor
}
add_action( 'vc_after_init', 'bloom_vc_remove_frontend_links' );

/**
 * Force Visual Composer to initialize as "built into the theme". This will hide certain tabs under the Settings->Visual Composer page
 */
add_action( 'vc_before_init', 'bloom_vcSetAsTheme' );
if(!function_exists('bloom_vcSetAsTheme')){
    function bloom_vcSetAsTheme() {
        vc_set_as_theme($disable_updater = true);
    }
}

// Add new Param in Row

if(function_exists('vc_add_param')){
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__('Bloom Predefined Section Layout', 'bloom'),
                                "param_name" => "cth_layout",
                                "value" => array(   
                                                esc_html__('Visual Composer - Default', 'bloom') => 'default',  
                                                esc_html__('Bloom Home (Fullheight) Section', 'bloom') => 'bloom_homefullheight_sec',
                                                esc_html__('Bloom Page Section', 'bloom') => 'bloom_page_sec',
                                                esc_html__('Bloom Portfolio Style 1', 'bloom') => 'portfolio_style1_wrap',
                                                esc_html__('Bloom Portfolio Style 2', 'bloom') => 'portfolio_style2_wrap',
                                                esc_html__('Bloom Portfolio Style 7', 'bloom') => 'portfolio_style7_wrap',

                                              ),
                                "description" => esc_html__("Select one of the pre made page sections or using default", 'bloom'), 
                                "group" => "Bloom Theme",
                            ) 
    );


    vc_add_param('vc_row',array(
                                "type" => "attach_images",
                               
                                "heading" => esc_html__('Portfolio Images', 'bloom'),
                                "param_name" => "gallery_images",
                             
                                
                              
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style7_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );

    vc_add_param('vc_row',array(
                                "type" => "textfield",
                                "heading" => esc_html__("Thumbnail size", 'bloom'),
                                "param_name" => "thumbnail_size",
                                "description" => esc_html__('Enter thumbnail size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 277x185 (Width x Height) .','bloom' ),
                                "value"=> 'full',
                              
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );

     vc_add_param('vc_row',array(
                            
                            "type" => "textfield",
                            "heading" => esc_html__("First Load items", 'bloom'),
                            "param_name" => "loaded",
                            "value"=>'10',
                            "description" => esc_html__("Number of images you want to display in the first load. Should be maller than your total images number to use INFINITE scroll option bellow.", 'bloom'),

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Bloom Theme",'bloom'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "class"=>"",
                            "heading" => esc_html__('Use INFINITE scroll load more items?', 'bloom'),
                            "param_name" => "show_loadmore",
                            "value" => array(   
                                esc_html__('Yes', 'bloom') => 'yes',  
                                esc_html__('No', 'bloom') => 'no',  
                                    
                
                            ), 
                            "std"=>'yes',    
                            "description" => esc_html__("Images will automatically load and adding when you scroll to the bottom.", 'bloom'),

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Bloom Theme",'bloom'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "textfield",
                            "heading" => esc_html__("Load more items", 'bloom'),
                            "param_name" => "lmore_items",
                            "value"=>'3',
                            "description" => esc_html__("Number of images you want to get in the next loadings.", 'bloom'),

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Bloom Theme",'bloom'),   
                        ) 

    );


    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Gallery Columns', 'bloom'),
                            "param_name" => "gal_columns",
                            "value" => array(   
                                            esc_html__('One column', 'bloom') => 'one',  
                                            esc_html__('Two Columns', 'bloom') => 'two',                                                     
                                            esc_html__('Three Columns', 'bloom') => 'three',                                                     
                                            esc_html__('Four Columns', 'bloom') => 'four',                                                     
                                            esc_html__('Five Columns', 'bloom') => 'five',                                                     
                                        ),
                            "std"=>'two',

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Bloom Theme",'bloom'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Spacing', 'bloom'),
                            "param_name" => "gal_space",
                            "value" => array(   
                                            esc_html__('None', 'bloom') => 'none',  
                                            esc_html__('Extra Small', 'bloom') => 'extrasmall',                                                     
                                            esc_html__('Small', 'bloom') => 'small',                                                     
                                            esc_html__('Medium', 'bloom') => 'medium',                                                     
                                            esc_html__('Big', 'bloom') => 'big',                                                     
                                                                                                 
                                        ),
                            "std"=>'small',

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Bloom Theme",'bloom'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Show image title', 'bloom'),
                            "param_name" => "show_img_title",
                            "value" => array(   
                                esc_html__('Yes', 'bloom') => 'yes',  
                                esc_html__('No', 'bloom') => 'no',  
                                    
                
                            ), 
                            "std"=>'no', 

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Bloom Theme",'bloom'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Show image description', 'bloom'),
                            "param_name" => "show_img_desc",
                            "value" => array(   
                                esc_html__('Yes', 'bloom') => 'yes',  
                                esc_html__('No', 'bloom') => 'no',  
                                    
                
                            ), 
                            "std"=>'yes', 

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Bloom Theme",'bloom'),   
                        ) 

    );


    vc_add_param('vc_row',array(
                                "type" => "textfield",
                                "heading" => esc_html__("Items", "bloom"),
                                "param_name" => "items",
                                "description" => esc_html__("The number of items you want to see on the screen. Ex: 3", "bloom"),
                                "value" => "3",

                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array('portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Center", "bloom"),
                                "param_name" => "center",
                                "description" => esc_html__("Center item. Works well with even an odd number of items.", "bloom"),
                                "value" => array(   
                                    esc_html__('No', 'bloom') => 'no',  
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                ),
                                "std"=>'yes', 

                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "textfield",
                                "heading" => esc_html__("smartSpeed", 'bloom'),
                                "param_name" => "smartspeed",
                                "value"=>'1300',
                                "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'bloom'),

                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Loop", "bloom"),
                                "param_name" => "loop",
                                
                                "value" => array(   
                                    esc_html__('No', 'bloom') => 'no',  
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );

    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Auto Width", "bloom"),
                                "param_name" => "autowidth",
                                "description" => esc_html__("Set non grid content. Try using width style on divs.", "bloom"),
                                "value" => array(   
                                    esc_html__('No', 'bloom') => 'no',  
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Auto Play", "bloom"),
                                "param_name" => "autoplay",
                               
                                "value" => array(   
                                    esc_html__('No', 'bloom') => 'no',  
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                ),
                                "std"=>'no', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "textfield",
                                "heading" => esc_html__("Responsive", "bloom"),
                                "param_name" => "responsive",
                                "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 320:1,768:1,992:3,1200:3", "bloom"),
                                "value" => "0:1,764:1",
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show Pagination", "bloom"),
                                "param_name" => "dots",
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                    esc_html__('No', 'bloom') => 'no',  
                                      
                                ),
                                "std"=>'no', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show Zoom Image", "bloom"),
                                "param_name" => "show_zoom",
                                
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                    esc_html__('No', 'bloom') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style7_wrap' ),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show Thumbnails", "bloom"),
                                "param_name" => "show_thumbs",
                             
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                    esc_html__('No', 'bloom') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show image description", "bloom"),
                                "param_name" => "show_cap",
                             
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                    esc_html__('No', 'bloom') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show More Info", "bloom"),
                                "param_name" => "show_more_info",
                            
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                    esc_html__('No', 'bloom') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show share post", "bloom"),
                                "param_name" => "show_share",
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => 'yes',   
                                    esc_html__('No', 'bloom') => 'no',  
                                      
                                ),
                                "std"=>'yes',  
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style7_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );

    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Enable MouseWheel control?", "bloom"),
                                "param_name" => "enable_mousewheel",
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => '1',   
                                    esc_html__('No', 'bloom') => '0',  
                                      
                                ),
                                "std"=>'1',  
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Enable Keyboard control?", "bloom"),
                                "param_name" => "enable_keyboard",
                                "value" => array( 
                                    esc_html__('Yes', 'bloom') => '1',   
                                    esc_html__('No', 'bloom') => '0',  
                                      
                                ),
                                "std"=>'0',
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );

    vc_add_param('vc_row',array(
                                "type" => "textfield",
                                "heading" => esc_html__("Portfolio List link", "bloom"),
                                "param_name" => "folio_list_link",
                                'value'=> home_url('/' ).'?post_type=portfolio',
                                 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array(  'portfolio_style2_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Bloom Theme",'bloom'),   
                            )

    );



    /* end portfolio style */

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Auto height on mobile?', 'bloom'),
                            "param_name" => "is_mobile_auto_height",
                            "value" => array(   
                                            'Yes' => 'yes',  
                                            'No' => 'no',                                                                           
                                        ),
                            "std" => 'no',
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'bloom_homefullheight_sec'),
                                'not_empty' => false,
                            ),


                            "group" => "Bloom Theme",
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Fullwidth', 'bloom'),
                            "param_name" => "is_fullwidth",
                            "value" => array(   
                                            'Yes' => 'yes',  
                                            'No' => 'no',  
                                            'Wide' => 'wide',  
                                                                                                                            
                                        ),
                            "std" => 'no',
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'bloom_homefullheight_sec','bloom_page_sec'),
                                'not_empty' => false,
                            ),


                            "group" => "Bloom Theme",
                        ) 

    );



    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('No Padding', 'bloom'),
                            "param_name" => "no_padding",
                            "value" => array(   
                                            'Yes' => 'yes',  
                                            'No' => 'no',  
                                                                                                                            
                                        ),
                            "std" => 'no',
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'bloom_page_sec'),
                                'not_empty' => false,
                            ),


                            "group" => "Bloom Theme",
                        ) 

    );



}