<?php

/**
 *
 * @package Bloom - Responsive Architecture Theme
 * @author Cththemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 *
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

//For post_tag taxonomy
// Add term page
function bloom_post_tag_add_new_meta_field() {
    
    // this will add the custom meta field to the add new term page
    wp_enqueue_media();
    wp_enqueue_script('bloom_tax_meta', get_template_directory_uri() . '/inc/assets/upload_file.js', array('jquery'), null, true);
    bloom_select_media_file_field('cat_header_image',esc_html__('Right Column Image','bloom'), array());

}
add_action('post_tag_add_form_fields', 'bloom_post_tag_add_new_meta_field', 10, 2);

// Edit term page
function bloom_post_tag_edit_meta_field($term) {
    wp_enqueue_media();
    wp_enqueue_script('bloom_tax_meta', get_template_directory_uri() . '/inc/assets/upload_file.js', array('jquery'), null, true);
    
    // put the term ID into a variable
    $t_id = $term->term_id;
    
    // retrieve the existing value(s) for this meta field. This returns an array
    $term_meta = get_option("bloom_taxonomy_post_tag_$t_id");

    bloom_select_media_file_field('cat_header_image',esc_html__('Right Column Image','bloom'), $term_meta,false);
}
add_action('post_tag_edit_form_fields', 'bloom_post_tag_edit_meta_field', 10, 2);

// Save extra taxonomy fields callback function.
function bloom_save_post_tag_custom_meta($term_id) {
    if (isset($_POST['term_meta'])) {
        $t_id = $term_id;
        $term_meta = get_option("bloom_taxonomy_post_tag_$t_id");
        $cat_keys = array_keys($_POST['term_meta']);
        foreach ($cat_keys as $key) {
            if (isset($_POST['term_meta'][$key])) {
                $term_meta[$key] = $_POST['term_meta'][$key];
            }
        }
        
        // Save the option array.
        update_option("bloom_taxonomy_post_tag_$t_id", $term_meta);
    }
}
add_action('edited_post_tag', 'bloom_save_post_tag_custom_meta', 10, 2);
add_action('create_post_tag', 'bloom_save_post_tag_custom_meta', 10, 2);
