 <?php

/**
 * Template Name: Right Image Columns
 * Template Post Type: member
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if ( post_password_required() ) {
    get_template_part( 'password_protected_page' );
    return;
}
get_header(); 

$right_col_img = get_post_meta(get_the_ID(), '_bloom_right_col_img', true );
if($right_col_img == '' && has_post_thumbnail( )){
    $right_col_img = wp_get_attachment_url( get_post_thumbnail_id() ); 
}

?>
<div class="fixed-column">
<?php if($right_col_img): ?>
    <div class="bg" data-bg="<?php echo esc_url( $right_col_img ) ; ?>"></div>
<?php endif;?>
    <div class="column-title">
        <h1 class="post-sec-title"><?php single_post_title();?></h1>
    </div>
</div>
<div class="column-wrap">
    <div class="content">
        <?php

            while(have_posts()) : the_post(); 

                the_content();
                wp_link_pages();


            endwhile;

        ?> 
    </div>
</div>

<?php 
get_footer( );