 <?php

/**
 * Template Name: Page Columns
 *
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if ( post_password_required() ) {
    get_template_part( 'password_protected_page' );
    return;
}

get_header(); ?>

<div class="fixed-column">
<?php if(has_post_thumbnail( )): ?>
    <div class="bg" data-bg="<?php echo wp_get_attachment_url( get_post_thumbnail_id(  ) ) ; ?>"></div>
<?php endif;?>
    <div class="column-title">
        <h1 class="page-title"><?php single_post_title( );?></h1>
    </div>
</div>
<div class="column-wrap">
    <div class="content">
        <?php if(have_posts()) : ?>

            <?php while(have_posts()) : the_post(); ?>

                <?php get_template_part( 'content', 'page-columns'); ?>

                <?php
                // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
                ?>

            <?php endwhile; ?>

        <?php endif; ?> 
    </div>
</div>

<?php 
get_footer( );