<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if ( post_password_required() ) {
    get_template_part( 'password_protected_page' );
    return;
}

$show_page_header = get_post_meta(get_the_ID(),'_bloom_show_page_header',true );

get_header(); 

$sb_w = bloom_global_var('blog-single-sidebar-width') ? bloom_global_var('blog-single-sidebar-width') : 1;

?>
	<section class="blog-header-none">
    
        <div class="section-title ">
            <h1 class="post-sec-title"><?php single_post_title( );?></h1>
            <?php 
                echo wp_kses_post( get_post_meta(get_the_ID(),'_bloom_page_header_intro',true ) ) ;
            ?>
            
        </div>
    </section>
    <div class="clearfix"></div>
    <div class="container <?php echo bloom_global_var('blog-single-width');?>">
        <div class="row single-post">

        	<?php if( bloom_global_var('blog_layout') ==='left_sidebar'):?>
	        
	        <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
		        <div class="main-sidebar left-sidebar">
		            <div class="main-sidebar-widgets">
		                <?php 
		                    get_sidebar(); 
		                ?>                 
		            </div>
		        </div>
		    </div>
	        
	        <?php endif;?> 

	        <?php if( bloom_global_var('blog_layout') ==='fullwidth'):?>
	        
	        <div class="col-md-12 display-single-post nosidebar">
	        <?php else:?>
	        
	        <div class="col-md-<?php echo (12 - $sb_w);?> display-single-post hassidebar">
	        <?php endif;?>
                <div class="fl-wrap">
                	<?php while(have_posts()) : the_post(); ?>

						<?php get_template_part('content','single' ); ?>

		            <?php endwhile;?>
                </div>
            </div>
            

            <?php if( bloom_global_var('blog_layout') ==='right_sidebar'):?>
	        
	        <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
		        <div class="main-sidebar right-sidebar">
		            <div class="main-sidebar-widgets">
		                <?php 
		                    get_sidebar(); 
		                ?>                 
		            </div>
		        </div>
		    </div>
	        
	        <?php endif;?> 


        </div>
    </div>

<?php 
get_footer( );