<?php

/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
get_header(); 


$blog_header_image = '';
$t_id = get_queried_object()->term_id;
$term_meta = get_option( "bloom_taxonomy_portfolio_cat_$t_id" );
if($term_meta !== false){
    if( isset($term_meta['cat_header_image']['url']) ){
        $blog_header_image = $term_meta['cat_header_image']['url'];
    }
}

if($blog_header_image == ''){
    $blog_header_image = bloom_global_var('folio_header_image','url',true);
}

if(bloom_global_var('folio_layout') == 'columns') :
?>
    <div class="fixed-column folio-fixed-column">
        <div class="bg" data-bg="<?php echo esc_url($blog_header_image );?>"></div>
        <div class="column-title">
            <h1 class="post-sec-title"><?php the_archive_title(); //single_term_title( ) ;?></h1>
            <?php //echo term_description( );?>
        </div>
    </div>
    <div class="column-wrap blg-wrap">
        <div class="content">
            <div class="section-title">
                <h1 class="post-sec-title"><?php the_archive_title(); ;?></h1>
            </div>
            
            <?php echo term_description( );?>
            <?php
                get_template_part('taxonomy-portfolio-masonry' );
            ?> 


            <div class="after-folio-columns"></div>                               
            
        </div>   
    </div>

<?php 
elseif(bloom_global_var('folio_layout') == 'ver') : ?>
    <div class="content">
        <div class="section-title text-center pad-top-50">
            <h1 class="post-sec-title"><?php the_archive_title(); ;?></h1>

            <?php echo term_description( );?>
        </div>
        
        
        <?php
            get_template_part('taxonomy-portfolio-masonry' );
        ?> 

                                     
        
    </div>  

<?php else : 

    get_template_part('taxonomy-portfolio-horizontal' );

endif;//end blog style for columns

get_footer(); 
