<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

//Home Slider
if(function_exists('vc_map')){

    vc_map( array(
        "name" => esc_html__("Home Horizontal", "bloom"),
        "base" => "bloom_home_horizontal",
        "category"  => 'Bloom Theme',
        "as_parent" => array('only' => 'bloom_home_horizontal_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
        "show_settings_on_create" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png", // Simply pass url to your icon here
        "params" => array(
            array(
                "type" => "dropdown", 
                "class" => "", 
                "heading" => esc_html__('Horizontal Columns', 'bloom'), 
                "param_name" => "columns_grid", 
                "value" => array(
                    esc_html__('One Column', 'bloom') => 'one',
                    esc_html__('Two Columns', 'bloom') => 'two', 
                    esc_html__('Three Columns', 'bloom') => 'three', 
                    esc_html__('Four Columns', 'bloom') => 'four', 
                    esc_html__('Five Columns', 'bloom') => 'five', 
                    
                ), 
                
                "std" => 'one',
            ),
            array(
                "type" => "dropdown", 
                "class" => "", 
                "heading" => esc_html__('Spacing', 'bloom'), 
                "param_name" => "spacing", 
                "value" => array(
                    esc_html__('Extra Small', 'bloom') => 'extrasmall',
                    esc_html__('Small', 'bloom') => 'small',
                    esc_html__('Medium', 'bloom') => 'medium',
                    esc_html__('Big', 'bloom') => 'big', 
                    esc_html__('None', 'bloom') => 'none',  
                    
                ), 
                "description" => esc_html__("Spacing", 'bloom'),
                "std" => 'small',
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Show Popup", "bloom"),
                "param_name" => "showpopup",
                "description" => '',
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'yes', 
            ),

            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "bloom"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
        ),
        "js_view" => 'VcColumnView',
        'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
            
    ) );

    


    vc_map( array(
        "name" => esc_html__("Horizontal Item", "bloom"),
        "base" => "bloom_home_horizontal_item",
        "content_element" => true,
        "show_settings_on_create" => true,
        "as_child" => array('only' => 'bloom_home_horizontal'),
        //"icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "params" => array(
            
            array(
                "type"      => "attach_image",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Image", 'bloom'),
                "param_name"=> "slideimg",
                'value'=>'805'
                
            ),
            array(
                    "type" => "vc_link",
                    "heading" => esc_html__("Item Link", "bloom"),
                    "param_name" => "slidelink",
    
                ),
            array(
                "type"      => "textarea_html",
                "class"     => "",
                "holder"    => "div",
                "heading"   => esc_html__("Content", 'bloom'),
                "param_name"=> "content",
                "description" => '',
                "value"=>'<h3><a href="'.home_url('/' ).'portfolio/alone-on-nature" class="ajax">Alone on Nature</a></h3>
<p>Here you can place an optional description of your  Project</p>'
            ),  
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "bloom"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
            ), 
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
        ),
        'js_view'=>'BloomSlideImgView'
    ) );




    //Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_Bloom_Home_Horizontal extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Bloom_Home_Horizontal_Item extends WPBakeryShortCode {
        }
    }


    vc_map( array(
        "name" => esc_html__("Home Slider", "bloom"),
        "base" => "bloom_home_owl_slider",
        "category"  => 'Bloom Theme',
        "as_parent" => array('only' => 'bloom_home_owl_slider_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
        "show_settings_on_create" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png", // Simply pass url to your icon here
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Items", "bloom"),
                "param_name" => "items",
                "description" => esc_html__("The number of items you want to see on the screen. Ex: 3", "bloom"),
                "value" => "1"
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Center", "bloom"),
                "param_name" => "center",
                "description" => esc_html__("Center item. Works well with even an odd number of items.", "bloom"),
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("smartSpeed", 'bloom'),
                "param_name" => "smartspeed",
                "value"=>'1200',
                "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'bloom')
            ), 
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Loop", "bloom"),
                "param_name" => "loop",
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'yes', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Height", "bloom"),
                "param_name" => "autoheight",
                "value" => array(   
                    esc_html__('Yes', 'bloom') => 'yes', 
                    esc_html__('No', 'bloom') => 'no',  
                      
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Width", "bloom"),
                "param_name" => "autowidth",
                "description" => esc_html__("Set non grid content. Try using width style on divs.", "bloom"),
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Play", "bloom"),
                "param_name" => "autoplay",
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("autoplayTimeout", 'bloom'),
                "param_name" => "autoplaytimeout",
                "value"=>'4000',
                "description" => esc_html__("Time after display next slide (in milisecond)", 'bloom')
            ),

            array(
                "type" => "textfield",
                "heading" => esc_html__("autoplaySpeed", 'bloom'),
                "param_name" => "autoplayspeed",
                "value"=>'3600',
                "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'bloom')
            ), 
            array(
                "type" => "textfield",
                "heading" => esc_html__("responsive", "bloom"),
                "param_name" => "responsive",
                "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 320:1,768:1,992:3,1200:3", "bloom"),
                "value" => ""
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Show Pagination", "bloom"),
                "param_name" => "dots",
                "value" => array( 
                    esc_html__('Yes', 'bloom') => 'yes',   
                    esc_html__('No', 'bloom') => 'no',  
                      
                ),
                "std"=>'yes', 
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Use Fade effect?", "bloom"),
                "param_name" => "use_fade",
                "value" => array( 
                    esc_html__('Yes', 'bloom') => 'yes',   
                    esc_html__('No', 'bloom') => 'no',  
                      
                ),
                "std"=>'no', 
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Enable MouseWheel control?", "bloom"),
                "param_name" => "enable_mousewheel",
                "value" => array( 
                    esc_html__('Yes', 'bloom') => '1',   
                    esc_html__('No', 'bloom') => '0',  
                      
                ),
                "std"=>'0', 
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Enable Keyboard control?", "bloom"),
                "param_name" => "enable_keyboard",
                "value" => array( 
                    esc_html__('Yes', 'bloom') => '1',   
                    esc_html__('No', 'bloom') => '0',  
                      
                ),
                "std"=>'1', 
            ),


            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "bloom"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
        ),
        "js_view" => 'VcColumnView',
        'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
    ) );

    


    vc_map( array(
        "name" => esc_html__("Home Slide Item", "bloom"),
        "base" => "bloom_home_owl_slider_item",
        "content_element" => true,
        "show_settings_on_create" => true,
        "as_child" => array('only' => 'bloom_home_owl_slider'),
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "params" => array(
            
            array(
                "type"      => "attach_image",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Slide Image", 'bloom'),
                "param_name"=> "slideimg",
                'value'=>'772'
                
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Use as image background", "bloom"),
                "param_name" => "use_image_as_bg",
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'yes', 
            ),
            array(
                "type" => "textfield",
                "holder" => "div",
                "heading" => esc_html__("Thumbnail size", 'bloom'),
                "param_name" => "thumbnail_size",
                "description" => esc_html__('Enter thumbnail size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 277x185 (Width x Height) .','bloom' ),
                "value"=> 'full',
                'dependency'=>array(
                    'element' => 'use_image_as_bg',
                    'value'=>array('no'),
                    'not_empty'=>false
                ),
                
            ),
            array(
                "type"      => "textarea_html",
                "class"     => "",
                "holder"    => "div",
                "heading"   => esc_html__("Content", 'bloom'),
                "param_name"=> "content",
                "description" => esc_html__("Content", 'bloom'),
                "value"=>'<h2>Welcome to Bloom</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
        <div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button   trans-btn   transition " ><span class="no-rep">Our Work</span><i class="fa fa-eye"></i></a></div>'
            ),  
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "bloom"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
            ), 
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
        ),
        'js_view'=>'BloomSlideImgView'
    ) );




    //Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_Bloom_Home_Owl_Slider extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Bloom_Home_Owl_Slider_Item extends WPBakeryShortCode {
        }
    }

    vc_map( array(
        "name" => esc_html__("Home Category Slider", "bloom"),
        "base" => "bloom_home_category_slider",
        "category"  => 'Bloom Theme',
        "as_parent" => array('only' => 'bloom_home_category_slider_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
        "show_settings_on_create" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png", // Simply pass url to your icon here
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Items", "bloom"),
                "param_name" => "items",
                "description" => esc_html__("The number of items you want to see on the screen. Ex: 3", "bloom"),
                "value" => "3"
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Center", "bloom"),
                "param_name" => "center",
                "description" => esc_html__("Center item. Works well with even an odd number of items.", "bloom"),
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'yes', 
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("smartSpeed", 'bloom'),
                "param_name" => "smartspeed",
                "value"=>'1200',
                "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'bloom')
            ), 
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Loop", "bloom"),
                "param_name" => "loop",
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'yes', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Height", "bloom"),
                "param_name" => "autoheight",
                "value" => array(   
                    esc_html__('Yes', 'bloom') => 'yes', 
                    esc_html__('No', 'bloom') => 'no',  
                      
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Width", "bloom"),
                "param_name" => "autowidth",
                "description" => esc_html__("Set non grid content. Try using width style on divs.", "bloom"),
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Play", "bloom"),
                "param_name" => "autoplay",
                "value" => array(   
                    esc_html__('No', 'bloom') => 'no',  
                    esc_html__('Yes', 'bloom') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("autoplayTimeout", 'bloom'),
                "param_name" => "autoplaytimeout",
                "value"=>'4000',
                "description" => esc_html__("Time after display next slide (in milisecond)", 'bloom')
            ),

            array(
                "type" => "textfield",
                "heading" => esc_html__("autoplaySpeed", 'bloom'),
                "param_name" => "autoplayspeed",
                "value"=>'3600',
                "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'bloom')
            ), 
            array(
                "type" => "textfield",
                "heading" => esc_html__("responsive", "bloom"),
                "param_name" => "responsive",
                "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 320:1,768:1,992:3,1200:3", "bloom"),
                "value" => "0:1,764:3"
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Show Pagination", "bloom"),
                "param_name" => "dots",
                "value" => array( 
                    esc_html__('Yes', 'bloom') => 'yes',   
                    esc_html__('No', 'bloom') => 'no',  
                      
                ),
                "std"=>'no', 
            ),


            array(
                "type" => "dropdown",
                "heading" => esc_html__("Enable MouseWheel control?", "bloom"),
                "param_name" => "enable_mousewheel",
                "value" => array( 
                    esc_html__('Yes', 'bloom') => '1',   
                    esc_html__('No', 'bloom') => '0',  
                      
                ),
                "std"=>'1', 
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Enable Keyboard control?", "bloom"),
                "param_name" => "enable_keyboard",
                "value" => array( 
                    esc_html__('Yes', 'bloom') => '1',   
                    esc_html__('No', 'bloom') => '0',  
                      
                ),
                "std"=>'0', 
            ),

            

            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "bloom"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
        ),
        "js_view" => 'VcColumnView',
        'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
    ) );

    


    vc_map( array(
        "name" => esc_html__("Slide Item", "bloom"),
        "base" => "bloom_home_category_slider_item",
        "content_element" => true,
        "show_settings_on_create" => true,
        "as_child" => array('only' => 'bloom_home_category_slider'),
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "params" => array(
            
            array(
                "type"      => "attach_image",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Background Image", 'bloom'),
                "param_name"=> "slideimg",
                'value'=>'772'
                
            ),
            array(
                "type"      => "textarea_html",
                "class"     => "",
                "holder"    => "div",
                "heading"   => esc_html__("Content", 'bloom'),
                "param_name"=> "content",
                "description" => esc_html__("Content", 'bloom'),
                "value"=>'<h3>Category :<a href="'.home_url('/' ).'portfolio_cat/nature/" class="ajax">Outdoor</a></h3>
<p>Here you can place an optional description of your  Project</p>'
            ),  
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "bloom"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
            ), 
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
        ),
        'js_view'=>'BloomSlideImgView'
    ) );




    //Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_Bloom_Home_Category_Slider extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Bloom_Home_Category_Slider_Item extends WPBakeryShortCode {
        }
    }

    vc_map( array(
           "name"      => esc_html__("Portfolio Categories Slider", 'bloom'),
           "base"      => "bloom_portfolio_cats",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Theme',
           "show_settings_on_create" => true,
           "params" => array(
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Portfolio Category IDs to include", 'bloom'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter portfolio category ids to include, separated by a comma. Leave empty to display all categories.", 'bloom')
                ), 
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Portfolio Category IDs to exclude", 'bloom'), 
                    "param_name" => "cat_ex_ids", 
                    "description" => esc_html__("Enter portfolio category ids to exclude, separated by a comma. Leave empty to display all categories. And will be ignored if the field above is not empty.", 'bloom')
                ), 
                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories by', 'bloom'), 
                    "param_name" => "cat_order_by", 
                    "value" => array(
                        esc_html__('Name', 'bloom') => 'name', 
                        esc_html__('ID', 'bloom') => 'id', 
                        esc_html__('Count', 'bloom') => 'count', 
                        esc_html__('Slug', 'bloom') => 'slug', 
                        esc_html__('None', 'bloom') => 'none',
                    ), 
                    "description" => esc_html__("Order Portfolio Categories by", 'bloom'), 
                    "std" => 'name',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories', 'bloom'), 
                    "param_name" => "cat_order", 
                    "value" => array(
                        esc_html__('Ascending', 'bloom') => 'ASC',
                        esc_html__('Descending', 'bloom') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolio Categories", 'bloom'),
                    "std" => 'ASC',
                ), 


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Items", "bloom"),
                    "param_name" => "items",
                    "description" => esc_html__("The number of items you want to see on the screen. Ex: 3", "bloom"),
                    "value" => "3"
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Center", "bloom"),
                    "param_name" => "center",
                    "description" => esc_html__("Center item. Works well with even an odd number of items.", "bloom"),
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("smartSpeed", 'bloom'),
                    "param_name" => "smartspeed",
                    "value"=>'1200',
                    "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'bloom')
                ), 
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Loop", "bloom"),
                    "param_name" => "loop",
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Height", "bloom"),
                    "param_name" => "autoheight",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no',  
                          
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Width", "bloom"),
                    "param_name" => "autowidth",
                    "description" => esc_html__("Set non grid content. Try using width style on divs.", "bloom"),
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Play", "bloom"),
                    "param_name" => "autoplay",
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplayTimeout", 'bloom'),
                    "param_name" => "autoplaytimeout",
                    "value"=>'4000',
                    "description" => esc_html__("Time after display next slide (in milisecond)", 'bloom')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplaySpeed", 'bloom'),
                    "param_name" => "autoplayspeed",
                    "value"=>'3600',
                    "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'bloom')
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("responsive", "bloom"),
                    "param_name" => "responsive",
                    "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 320:1,768:1,992:3,1200:3", "bloom"),
                    "value" => "0:1,764:3"
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Pagination", "bloom"),
                    "param_name" => "dots",
                    "value" => array( 
                        esc_html__('Yes', 'bloom') => 'yes',   
                        esc_html__('No', 'bloom') => 'no',  
                          
                    ),
                    "std"=>'no', 
                ),

                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Enable MouseWheel control?", "bloom"),
                    "param_name" => "enable_mousewheel",
                    "value" => array( 
                        esc_html__('Yes', 'bloom') => '1',   
                        esc_html__('No', 'bloom') => '0',  
                          
                    ),
                    "std"=>'1', 
                ),

                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Enable Keyboard control?", "bloom"),
                    "param_name" => "enable_keyboard",
                    "value" => array( 
                        esc_html__('Yes', 'bloom') => '1',   
                        esc_html__('No', 'bloom') => '0',  
                          
                    ),
                    "std"=>'0', 
                ),


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "bloom"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            ),
        ));
        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Portfolio_Cats extends WPBakeryShortCode {}
        }

    vc_map( array(
           "name"      => esc_html__("Home Slideshow", 'bloom'),
           "base"      => "bloom_home_slideshow",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Background Images", 'bloom'),
                    "param_name"=> "slideimgs",
                    "description" => esc_html__("Background slideshow images", 'bloom'),
                    "value" => "769,771,780,781"
                ),
                array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'bloom'),
                    "param_name"=> "content",
                    "description" => '',
                    "value"=>'<h2>Welcome to Bloom</h2>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
<div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button   trans-btn   transition " ><span class="no-rep">Our Work</span><i class="fa fa-eye"></i></a></div>'
                ),  
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Items", "bloom"),
                    "param_name" => "items",
                    "description" => esc_html__("The maximum amount of items displayed: 1", "bloom"),
                    "value" => "1"
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplayTimeout", 'bloom'),
                    "param_name" => "autoplaytimeout",
                    "value"=>'4000',
                    "description" => esc_html__("Time after display next slide (in milisecond)", 'bloom')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplaySpeed", 'bloom'),
                    "param_name" => "autoplayspeed",
                    "value"=>'3600',
                    "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'bloom')
                ),
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Overlay Opacity", 'bloom'),
                    "param_name"=> "opacity",
                    "value"     => "0.2",
                    "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'bloom')
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "bloom"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "bloom"),
                    "value" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extraclass", "bloom"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
                ),

                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            ),
           'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
           'js_view'=>'BloomSlideImgsView'
        ));
        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Home_Slideshow extends WPBakeryShortCode {}
        }

        vc_map( array(
        "name" => esc_html__("Home Image", 'bloom'),
        "base" => "bloom_home_image",
        "content_element" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "category"  => 'Bloom Theme',
        "show_settings_on_create" => true,
        "params" => array(
            array(
                "type"      => "attach_image",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Background Image", 'bloom'),
                "param_name"=> "bgimg",
                "description" => '',
                "value"=>"785"
            ),
            array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'bloom'),
                    "param_name"=> "content",
                    "description" => '',
                    "value"=>'<h2>Welcome to Bloom</h2>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
<div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button   trans-btn   transition " ><span class="no-rep">Our Work</span><i class="fa fa-eye"></i></a></div>'
                ), 
             
            
            
            array(
                "type"      => "textfield",
                "class"     => "",
                "heading"   => esc_html__("Overlay Opacity", 'bloom'),
                "param_name"=> "opacity",
                "value"     => "0.2",
                "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'bloom')
            ),

            array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "bloom"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "bloom"),
                    "value" => ""
                ),
            
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'bloom'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
        
            
            
        ),
        'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
        'js_view'=>'BloomBgImgView'
    ));

    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Bloom_Home_Image extends WPBakeryShortCode {     
        }
    }

        vc_map( array(
            "name" => esc_html__("Home Youtube Video", 'bloom'),
            "base" => "bloom_home_youtube_video",
            "content_element" => true,
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Theme',
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'bloom'),
                    "param_name"=> "content",
                    "description" => '',
                    "value"=>'<h2>Welcome to Bloom</h2>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
<div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button   trans-btn   transition " ><span class="no-rep">Our Work</span><i class="fa fa-eye"></i></a></div>'
                ), 
              
                 
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Your Youtube Video ID", 'bloom'),
                    "param_name"=> "video",
                    "value"     => "Hg5iNVSp2z8",
                    "description" => esc_html__("Your Youtube Video ID. Ex: RdANs18HsIo", 'bloom')
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Video Quality', 'bloom'),
                    "param_name" => "quality",
                    "value" => array(   
                                    'default' => 'default',  
                                    'small' => 'small',  
                                    'medium' => 'medium',  
                                    'large' => 'large',  
                                    'hd720' => 'hd720',  
                                    'hd1080' => 'hd1080',  
                                    'highres' => 'highres', 
                                                                                                                    
                                ),
                    "std" => 'highres', 
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Mute', 'bloom'),
                    "param_name" => "mute",
                    "value" => array(   
                                    esc_html__('Yes', 'bloom') => '1',  
                                    esc_html__('No', 'bloom') => '0',                                                                                
                                ),
                    "std"=>"1"
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('fitToBackground', 'bloom'),
                    "param_name" => "fittobackground",
                    "value" => array(   
                                    esc_html__('Yes', 'bloom') => '1',  
                                    esc_html__('No', 'bloom') => '0',                                                                                
                                ),
                    "std" => '1', 
                    "description" => esc_html__("Fits to background vs fitting to the container specified with width", 'bloom'),
                ),
                
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Pause on scroll', 'bloom'),
                    "param_name" => "pauseonscroll",
                    "value" => array(   
                                    esc_html__('Yes', 'bloom') => '1',  
                                    esc_html__('No', 'bloom') => '0',                                                                                
                                ),
                    "std" => '0', 
                ),
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Background Image", 'bloom'),
                    "param_name"=> "bgimg",
                    "description" => esc_html__("Background image for mobile device", 'bloom'),
                    "value"=>'789'
                ),
                
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Overlay Opacity", 'bloom'),
                    "param_name"=> "opacity",
                    "value"     => "0.2",
                    "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'bloom')
                ),
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Parallax Value", 'bloom'),
                    "param_name"=> "parallax_value",
                    "description" => esc_html__("Pixel number. Which we are telling the browser is to move Background Video down every time we scroll down 100% of the viewport height and move Background Video up every time we scroll up 100% of the viewport height. Ex: 300 or -300 for reverse direction.", 'bloom'),
                    "value" => "300"
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "bloom"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "bloom"),
                    "value" => ""
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
                
                
            ),
            'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
            'js_view'=>'BloomBgImgView'
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Home_Youtube_Video extends WPBakeryShortCode {     
            }
        }

        vc_map( array(
            "name" => esc_html__("Home Vimeo Video", 'bloom'),
            "base" => "bloom_home_vimeo_video",
            "content_element" => true,
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Theme',
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'bloom'),
                    "param_name"=> "content",
                    "description" => '',
                    "value"=>'<h2>Welcome to Bloom</h2>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
<div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button   trans-btn   transition " ><span class="no-rep">Our Work</span><i class="fa fa-eye"></i></a></div>'
                
                ), 
                 
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Your Vimeo Video ID", 'bloom'),
                    "param_name"=> "video",
                    "value"     => "145052212",
                    "description" => esc_html__("Your Vimeo Video ID: 145052212", 'bloom')
                ),
                
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Background Image", 'bloom'),
                    "param_name"=> "bgimg",
                    "description" => esc_html__("Background image for mobile device", 'bloom'),
                    "value"=>'793'
                ),
                
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Overlay Opacity", 'bloom'),
                    "param_name"=> "opacity",
                    "value"     => "0.2",
                    "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'bloom')
                ),
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Parallax Value", 'bloom'),
                    "param_name"=> "parallax_value",
                    "description" => esc_html__("Pixel number. Which we are telling the browser is to move Background Video down every time we scroll down 100% of the viewport height and move Background Video up every time we scroll up 100% of the viewport height. Ex: 300 or -300 for reverse direction.", 'bloom'),
                    "value" => ""
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "bloom"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "bloom"),
                    "value" => ""
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
                
            ),
            'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
            'js_view'=>'BloomBgImgView'
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Home_Vimeo_Video extends WPBakeryShortCode {     
            }
        }

        vc_map( array(
           "name"      => esc_html__("Home Landing", 'bloom'),
           "description" => esc_html__("Display demo links element",'bloom'),
           "base"      => "bloom_home_landing",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'bloom' ),
                    'holder' => 'div',
                    'param_name' => 'title',
                    'value' => "Bloom",
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Sub Title', 'bloom' ),
                    'holder' => 'div',
                    'param_name' => 'subtitle',
                    'value' => "Creative Responsive Photography / Portfolio WordPress Theme",
                ),

                
                array(
                    'type' => 'param_group',
                    'heading' => esc_html__( 'Demo Options', 'bloom' ),
                    'param_name' => 'demos',
                    'description' => esc_html__( 'Enter values for demo: title - link - target.', 'bloom' ),
                    'value' => urlencode( json_encode( array(
                        array(
                            'title' => 'Light Version',
                            'link' => 'http://demowp.cththemes.com/bloom/',
                            'target'=>'_blank',
                            'bgimg' => '967',
                        ),
                        array(
                            'title' => 'Dark Version',
                            'link' => 'http://demowp.cththemes.com/bloom/?color=dark',
                            'target'=>'_blank',
                            'bgimg' => '968',
                        ),
                        
                    ) ) ),
                    'params' => array(
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__( 'Demo Title', 'bloom' ),
                            'param_name' => 'title',
                            'admin_label' => true,
                            'value'=>'Demo Title',
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__( 'Demo Link', 'bloom' ),
                            'param_name' => 'link',
                            'admin_label' => true,
                            'value'=>'#',
                        ),
                        array(
                            "type" => "dropdown",
                            "class"=>"",
                            "heading" => esc_html__('Open demo on', 'bloom'),
                            "param_name" => "target",
                            "value" => array(   
                                            esc_html__('New Tab', 'bloom') => '_blank',  
                                            esc_html__('Current Tab', 'bloom') => '_self',                                                                                
                                        ),
                            "std" => '_blank', 
                        ),
                        array(
                            "type"      => "attach_image",
                            "holder"    => "div",
                            "heading"   => esc_html__("Demo Image", 'bloom'),
                            "param_name"=> "bgimg",
                            "value"=>'',
                            'admin_label' => true,
                        ),
                    ),
                ),
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "heading"   => esc_html__("Background Image", 'bloom'),
                    "param_name"=> "bgimg",
                    "value"     =>'971',
                ),
                array(
                    "type" => "textarea",
                    "holder"    => "div",
                    "heading" => esc_html__("Content", "bloom"),
                    "param_name" => "content",
                    "description" => esc_html__("Content", "bloom"),
                    "value"=>'Made by <a href="'.esc_url('https://themeforest.net/user/cththemes/portfolio?ref=cththemes').'" target="_blank">CTHthemes </a> - Elite Author on ThemeForest.',
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "bloom"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            ),
            //'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
            //'js_view'=>'BloomBgImgView'
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Home_Landing extends WPBakeryShortCode {}
        }


        vc_map( array(
           "name"      => esc_html__("Skills Bar", 'bloom'),
           "description" => esc_html__("Animated skills bar",'bloom'),
           "base"      => "bloom_skills_bar",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Widget Title', 'bloom' ),
                    'holder' => 'div',
                    'param_name' => 'title',
                    'value' => "",
                ),
                array(
                    'type' => 'param_group',
                    'heading' => esc_html__( 'Values', 'bloom' ),
                    'param_name' => 'values',
                    'description' => esc_html__( 'Enter values for graph - value, title and color.', 'bloom' ),
                    'value' => urlencode( json_encode( array(
                        array(
                            'label' => 'Photoshop',
                            'value' => '95',
                        ),
                        array(
                            'label' => 'Illustrator',
                            'value' => '65',
                        ),
                        array(
                            'label' => '3D MAX',
                            'value' => '75',
                        ),
                        
                    ) ) ),
                    'params' => array(
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__( 'Label', 'bloom' ),
                            'param_name' => 'label',
                            'description' => esc_html__( 'Enter text used as title of bar.', 'bloom' ),
                            'admin_label' => true,
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__( 'Value', 'bloom' ),
                            'param_name' => 'value',
                            'description' => esc_html__( 'Enter value of bar.', 'bloom' ),
                            'admin_label' => true,
                        ),
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "bloom"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Skills_Bar extends WPBakeryShortCode {}
        }

        vc_map( array(
           "name"      => esc_html__("Animation Button", 'bloom'),
           "base"      => "bloom_button",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Button Title', 'bloom' ),
                    'holder' => 'div',
                    'param_name' => 'title',
                    'value' => "View More",
                ),

                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'bloom' ),
                    'param_name' => 'icon',
                    'value' => 'fa fa-eye', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => true,
                        // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000,
                        // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'bloom' ),
                ),

                array(
                    "type" => "vc_link",
                    "heading" => esc_html__("Button Link", "bloom"),
                    "param_name" => "link",
    
                ),

                
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Popup contact form?', 'bloom'),
                    "description" => esc_html__("This button will popup contact form when clicked. Please make sure that Contact form element is also added to the page", "bloom"),
                    "param_name" => "is_popup",
                    "value" => array(   
                                    esc_html__('Yes', 'bloom') => 'yes',  
                                    esc_html__('No', 'bloom') => 'no',                                                                                
                                ),
                    "std" => 'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "bloom"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Button extends WPBakeryShortCode {}
        }
        
    vc_map( array(
        "name" => esc_html__("Section Title", 'bloom'),
        "description" => esc_html__("Section Title for Bloom",'bloom'),
        "base" => "bloom_section_title",
        "content_element" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "category"  => 'Bloom Theme',
        "show_settings_on_create" => true,
        "params" => array(
            
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("Title Text", 'bloom'),
                "param_name"=> "title_text",
                "value"     => "Section title",

            ),
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("SubTitle Text", 'bloom'),
                "param_name"=> "subtitle_text",
                "value"     => "Duis aute irure dolor in reprehenderit in voluptate velit",

            ),
            array(
                "type"      => "textarea_html",
                "holder"    => "div",
                "heading"   => esc_html__("More Info", 'bloom'),
                "param_name"=> "content",
                
            ),  
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'bloom'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom'),
                "value" => "",
            ),

            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
            
            
            
        )
    ));

    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Bloom_Section_Title extends WPBakeryShortCode {     
        }
    }


    vc_map( array(
        "name" => esc_html__("Single Service", 'bloom'),

        "base" => "bloom_service",
        "content_element" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "category"  => 'Bloom Theme',
        "show_settings_on_create" => true,
        "params" => array(
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("Service Title", 'bloom'),
                "param_name"=> "ser_title",
                "value"     => "Outdoor photography",
         
            ),
            array(
                "type"      => "textarea_html",
                "holder"    => "div",
                "heading"   => esc_html__("More Info", 'bloom'),
                "param_name"=> "content",
       
                "value"=> '<p>Donec ornare cursus viverra. Praesent eu facilisis lectus. Etiam varius quam id ante malesuada venenatis. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper .</p>'
            ),  
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("Service Price", 'bloom'),
                "param_name"=> "ser_price",
                "value"     => "Price : 150$-450$",
              
            ),
            array(
                "type"      => "attach_image",
                "holder"     => "div",
                "heading"   => esc_html__("Service Image", 'bloom'),
                "param_name"=> "bgimg",
                "value"     => "",
         
            ),
            
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'bloom'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom'),
                "value" => "",
            ),

            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'bloom' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'bloom' ),
            ),
            
            
            
        ),
        'js_view'=>'BloomBgImgView',
        'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
    ));

    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Bloom_Service extends WPBakeryShortCode {     
        }
    }

    

        


        vc_map( array(
            "name"      => esc_html__("Portfolios Horizontal", 'bloom'),
           "description" => esc_html__("Horizontal style layout of portfolio items",'bloom'),
           "base"      => "bloom_hoz_portfolios",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Portfolio',
           "show_settings_on_create" => true,
           "params"    => array(

                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Portfolio Category IDs to exclude", 'bloom'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter portfolio category ids to exclude, separated by a comma. Leave empty to display all categories.", 'bloom')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories by', 'bloom'), 
                    "param_name" => "cat_order_by", 
                    "value" => array(
                        esc_html__('Name', 'bloom') => 'name', 
                        esc_html__('ID', 'bloom') => 'id', 
                        esc_html__('Count', 'bloom') => 'count', 
                        esc_html__('Slug', 'bloom') => 'slug', 
                        esc_html__('None', 'bloom') => 'none',
                    ), 
                    "description" => esc_html__("Order Portfolio Categories by", 'bloom'), 
                    "std" => 'name',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories', 'bloom'), 
                    "param_name" => "cat_order", 
                    "value" => array(
                        esc_html__('Ascending', 'bloom') => 'ASC',
                        esc_html__('Descending', 'bloom') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolio Categories", 'bloom'),
                    "std" => 'ASC',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Filter', 'bloom'), 
                    "param_name" => "show_filter", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "description" => esc_html__("Show Filter", 'bloom'), 
                    "std" => 'yes',
                ), 
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Enter Portfolio IDs", 'bloom'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter portfolio ids to show, separated by a comma. Leave empty to get all.", 'bloom')
                ), 
                array(
                    "type" => "textfield", 
                    
                    "heading" => esc_html__("Portfolio IDs to Exclude", 'bloom'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter portfolio ids to exclude, separated by a comma. Use if the field above is empty. Leave empty to get all.", 'bloom')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios by', 'bloom'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'bloom') => 'date', 
                        esc_html__('ID', 'bloom') => 'ID', 
                        esc_html__('Author', 'bloom') => 'author', 
                        esc_html__('Title', 'bloom') => 'title', 
                        esc_html__('Modified', 'bloom') => 'modified',
                    ), 
                    "description" => esc_html__("Order Portfolios by", 'bloom'), 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios', 'bloom'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'bloom') => 'ASC',
                        esc_html__('Descending', 'bloom') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolios", 'bloom'),
                    "std" => 'DESC',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Post to show", 'bloom'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of portfolio items to show (-1 for all).", 'bloom'),
                    "value"=> '-1',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Horizontal Columns', 'bloom'), 
                    "param_name" => "columns_grid", 
                    "value" => array(
                        esc_html__('One Column', 'bloom') => 'one',
                        esc_html__('Two Columns', 'bloom') => 'two', 
                        esc_html__('Three Columns', 'bloom') => 'three', 
                        esc_html__('Four Columns', 'bloom') => 'four', 
                        esc_html__('Five Columns', 'bloom') => 'five', 
                        
                    ), 
                    
                    "std" => 'two',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'bloom'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('Extra Small', 'bloom') => 'extrasmall',
                        esc_html__('Small', 'bloom') => 'small',
                        esc_html__('Medium', 'bloom') => 'medium',
                        esc_html__('Big', 'bloom') => 'big', 
                        esc_html__('None', 'bloom') => 'none',  
                        
                    ), 
                    "description" => esc_html__("Spacing", 'bloom'),
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Categories', 'bloom'), 
                    "param_name" => "show_cat", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'no',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'bloom'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('No', 'bloom') => 'no',
                        esc_html__('Yes', 'bloom') => 'yes', 
                         
                    ), 
                    
                    "std" => 'no',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show View Project', 'bloom'), 
                    "param_name" => "show_view_project", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                   
                    "std" => 'yes',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Share', 'bloom'), 
                    "param_name" => "show_share", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Enable Gallery', 'bloom'), 
                    "param_name" => "enable_gallery", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "std" => 'no',
                    
                ), 

            
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Load More', 'bloom'), 
                    "param_name" => "show_loadmore", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                   
                    "std" => 'no',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Load more items", 'bloom'),
                    "param_name" => "loadmore_posts",
                    "description" => esc_html__("Number of items to get on additional load.", 'bloom'),
                    "value"=> '3',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'yes' ),
                        'not_empty' => false,
                    ),
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),

            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Hoz_Portfolios extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Portfolios Masonry", 'bloom'),
           "description" => esc_html__("Masonry layout of portfolio items",'bloom'),
           "base"      => "bloom_portfolios",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Portfolio',
           "show_settings_on_create" => true,
           "params"    => array(
                
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Portfolio Category IDs to exclude", 'bloom'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter portfolio category ids to exclude, separated by a comma. Leave empty to display all categories.", 'bloom')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories by', 'bloom'), 
                    "param_name" => "cat_order_by", 
                    "value" => array(
                        esc_html__('Name', 'bloom') => 'name', 
                        esc_html__('ID', 'bloom') => 'id', 
                        esc_html__('Count', 'bloom') => 'count', 
                        esc_html__('Slug', 'bloom') => 'slug', 
                        esc_html__('None', 'bloom') => 'none',
                    ), 
                    "description" => esc_html__("Order Portfolio Categories by", 'bloom'), 
                    "std" => 'name',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories', 'bloom'), 
                    "param_name" => "cat_order", 
                    "value" => array(
                        esc_html__('Ascending', 'bloom') => 'ASC',
                        esc_html__('Descending', 'bloom') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolio Categories", 'bloom'),
                    "std" => 'ASC',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Filter', 'bloom'), 
                    "param_name" => "show_filter", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "description" => esc_html__("Show Filter", 'bloom'), 
                    "std" => 'yes',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Filter Style', 'bloom'), 
                    "param_name" => "hoz_style", 
                    "value" => array(
                        
                        esc_html__('Fixed Bottom', 'bloom') => 'one', 
                        esc_html__('Fixed Left', 'bloom') => 'two', 
                        esc_html__('Top', 'bloom') => 'three', 
                        
                    ), 
                   
                    "std" => 'one',
                ),
                
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Enter Portfolio IDs", 'bloom'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter portfolio ids to show, separated by a comma. Leave empty to get all.", 'bloom')
                ), 
                array(
                    "type" => "textfield", 
                    // "holder" => "div",
                    "heading" => esc_html__("Portfolio IDs to Exclude", 'bloom'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter portfolio ids to exclude, separated by a comma. Use if the field above is empty. Leave empty to get all.", 'bloom')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios by', 'bloom'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'bloom') => 'date', 
                        esc_html__('ID', 'bloom') => 'ID', 
                        esc_html__('Author', 'bloom') => 'author', 
                        esc_html__('Title', 'bloom') => 'title', 
                        esc_html__('Modified', 'bloom') => 'modified',
                    ), 
                    "description" => esc_html__("Order Portfolios by", 'bloom'), 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios', 'bloom'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'bloom') => 'ASC',
                        esc_html__('Descending', 'bloom') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolios", 'bloom'),
                    "std" => 'DESC',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Post to show", 'bloom'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of portfolio items to show (-1 for all).", 'bloom'),
                    "value"=> '-1',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Grid Columns', 'bloom'), 
                    "param_name" => "columns_grid", 
                    "value" => array(
                        esc_html__('One Column', 'bloom') => 'one',
                        esc_html__('Two Columns', 'bloom') => 'two', 
                        esc_html__('Three Columns', 'bloom') => 'three', 
                        esc_html__('Four Columns', 'bloom') => 'four', 
                        esc_html__('Five Columns', 'bloom') => 'five', 
                        
                    ), 
                    
                    "std" => 'two',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'bloom'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('Extra Small', 'bloom') => 'extrasmall',
                        esc_html__('Small', 'bloom') => 'small',
                        esc_html__('Medium', 'bloom') => 'medium',
                        esc_html__('Big', 'bloom') => 'big', 
                        esc_html__('None', 'bloom') => 'none',  
                        
                    ), 
                    "description" => esc_html__("Spacing", 'bloom'),
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Categories', 'bloom'), 
                    "param_name" => "show_cat", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'no',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'bloom'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('No', 'bloom') => 'no',
                        esc_html__('Yes', 'bloom') => 'yes', 
                         
                    ), 
                  
                    "std" => 'no',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show View Project', 'bloom'), 
                    "param_name" => "show_view_project", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Counter', 'bloom'), 
                    "param_name" => "show_counter", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Share', 'bloom'), 
                    "param_name" => "show_share", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Enable Gallery', 'bloom'), 
                    "param_name" => "enable_gallery", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "description" => esc_html__("For Style 2 only", 'bloom'), 
                    "std" => 'no',
                    'dependency' => array(
                        'element' => 'hoz_style',
                        'value' => array( 'two' ),
                        'not_empty' => false,
                    ),
                ), 

                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Use INFINITE scroll to load more items?', 'bloom'), 
                    "param_name" => "show_loadmore", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 

                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Load more items", 'bloom'),
                    "param_name" => "loadmore_posts",
                    "description" => esc_html__("Number of items to get on additional load.", 'bloom'),
                    "value"=> '3',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'yes' ),
                        'not_empty' => false,
                    ),
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Pagination', 'bloom'), 
                    "param_name" => "show_pagination", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    "std" => 'no',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'no' ),
                        'not_empty' => false,
                    ),
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),


            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Portfolios extends WPBakeryShortCode {}
        }



        

        vc_map( array(
            "name"      => esc_html__("Members Grid", 'bloom'),
            "description" => esc_html__("A column grid of member elements",'bloom'),
            "base"      => "bloom_members",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Theme',
            "show_settings_on_create" => true,
            "params"    => array(
                array(
                    "type"      => "textfield",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Count", 'bloom'),
                    "param_name"=> "count",
                    "value"     => "4",
                    "description" => esc_html__("Number of Members to show. -1 to display all.", 'bloom')
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Order by', 'bloom'),
                    "param_name" => "order_by",
                    "value" => array(   
                        esc_html__('Date', 'bloom') => 'date',  
                        esc_html__('ID', 'bloom') => 'ID',  
                        esc_html__('Author', 'bloom') => 'author',       
                        esc_html__('Title', 'bloom') => 'title',  
                        esc_html__('Modified', 'bloom') => 'modified',  
                    ),
                    "description" => esc_html__("Order by", 'bloom'),  
                    "std"=>'date',    
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Sort Order', 'bloom'),
                    "param_name" => "order",
                    "value" => array(   
                                    esc_html__('Descending', 'bloom') => 'DESC',
                                    esc_html__('Ascending', 'bloom') => 'ASC',  
                                                                                                                      
                                    ),
                    "description" => esc_html__("Order", 'bloom'),    
                    "std"=>"DESC",  
                ),


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Or Enter Member IDs", "bloom"),
                    "param_name" => "ids",
                    "description" => esc_html__("Enter Member ids to show, separated by a comma. (ex: 99,100)", "bloom")
                ),
                
                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Grid Columns', 'bloom'), 
                    "param_name" => "thumbnail_cols", 
                    "value" => array(
                        esc_html__('One Column', 'bloom') => 'col-md-12',
                        esc_html__('Two Columns', 'bloom') => 'col-md-6', 
                        
                        esc_html__('Three Columns', 'bloom') => 'col-md-4', 
                        
                        esc_html__('Four Columns', 'bloom') => 'col-md-3', 
                        esc_html__('Six Columns', 'bloom') => 'col-md-2', 
                        
                        
                        
                         
                    ), 
                    
                    "std" => 'col-md-4',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Tablet Grid Columns', 'bloom'), 
                    "param_name" => "tablet_cols", 
                    "value" => array(
                        esc_html__('One Column', 'bloom') => 'col-sm-12',
                        esc_html__('Two Columns', 'bloom') => 'col-sm-6', 
                        
                        esc_html__('Three Columns', 'bloom') => 'col-sm-4', 
                        
                        esc_html__('Four Columns', 'bloom') => 'col-sm-3', 
                        esc_html__('Six Columns', 'bloom') => 'col-sm-2', 
                        
                        
                        
                         
                    ), 
                    
                    "std" => 'col-sm-6',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Mobile Grid Columns', 'bloom'), 
                    "param_name" => "mobile_cols", 
                    "value" => array(
                        esc_html__('One Column', 'bloom') => 'col-xs-12',
                        esc_html__('Two Columns', 'bloom') => 'col-xs-6', 
                        
                        esc_html__('Three Columns', 'bloom') => 'col-xs-4', 
                        
                        esc_html__('Four Columns', 'bloom') => 'col-xs-3', 
                        esc_html__('Six Columns', 'bloom') => 'col-xs-2', 
                        
                        
                        
                         
                    ), 
                    
                    "std" => 'col-xs-12',
                ), 
                
                

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'bloom'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Link to Member detail\'s page', 'bloom'), 
                    "param_name" => "show_readmore", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Pagination', 'bloom'), 
                    "param_name" => "show_pagination", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "bloom"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Members extends WPBakeryShortCode {}
        }


        vc_map( array(
           "name"      => esc_html__("Single Member", 'bloom'),
           "description" => esc_html__("Single member",'bloom'),
           "base"      => "bloom_member",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Enter Member ID", "bloom"),
                    "param_name" => "id",
                    "description" => esc_html__("Enter Member id to show (Ex: 99).", "bloom")
                ), 
                
                

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'bloom'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Link to Member detail\'s page', 'bloom'), 
                    "param_name" => "show_readmore", 
                    "value" => array(
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));
        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Member extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name" => esc_html__("Owl Carousel Slider", "bloom"),
            "description" => esc_html__("with multi images selected",'bloom'),
            "base" => "bloom_carousel_slider_multiimgs",
            "category"  => 'Bloom Theme',
            
            "content_element" => true,
            "show_settings_on_create" => true,
            
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png", 
            "params" => array(
                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Slide Images", 'bloom'),
                    "param_name"=> "slideimgs",
                    "description" => esc_html__("Slide Images", 'bloom')
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Items", "bloom"),
                    "param_name" => "items",
                    "description" => esc_html__("The number of items you want to see on the screen. Ex: 4", "bloom"),
                    "value" => "1"
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Center", "bloom"),
                    "param_name" => "center",
                    "description" => esc_html__("Center item. Works well with even an odd number of items.", "bloom"),
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("smartSpeed", 'bloom'),
                    "param_name" => "smartspeed",
                    "value"=>'1300',
                    "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'bloom')
                ), 
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Loop", "bloom"),
                    "param_name" => "loop",
                    
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Height", "bloom"),
                    "param_name" => "autoheight",
                    
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes', 
                        esc_html__('No', 'bloom') => 'no',  
                          
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Width", "bloom"),
                    "param_name" => "autowidth",
                    "description" => esc_html__("Set non grid content. Try using width style on divs.", "bloom"),
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Play", "bloom"),
                    "param_name" => "autoplay",
               
                    "value" => array(   
                        esc_html__('No', 'bloom') => 'no',  
                        esc_html__('Yes', 'bloom') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplayTimeout", 'bloom'),
                    "param_name" => "autoplaytimeout",
                    "value"=>'4000',
                    "description" => esc_html__("Time after display next slide (in milisecond)", 'bloom')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplaySpeed", 'bloom'),
                    "param_name" => "autoplayspeed",
                    "value"=>'3600',
                    "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'bloom')
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("responsive", "bloom"),
                    "param_name" => "responsive",
                    "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 0:1,600:2,1000:4", "bloom"),
                    "value" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Pagination", "bloom"),
                    "param_name" => "dots",
                    "value" => array( 
                        esc_html__('Yes', 'bloom') => 'yes',   
                        esc_html__('No', 'bloom') => 'no',  
                          
                    ),
                    "std"=>'no', 
                ),
                
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Thumbnail size", 'bloom'),
                    "param_name" => "thumbnail_size",
                    "description" => esc_html__('Enter thumbnail size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 277x185 (Width x Height) .','bloom' ),
                    "value"=> 'full',
                    
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image title', 'bloom'),
                    "param_name" => "show_img_title",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'no',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image description', 'bloom'),
                    "param_name" => "show_img_desc",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'no',    
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Zoom", "bloom"),
                    "param_name" => "show_zoom",
                    "value" => array( 
                        esc_html__('Yes', 'bloom') => 'yes',   
                        esc_html__('No', 'bloom') => 'no',  
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "bloom"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "bloom")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            ),
            "js_view" => 'BloomSlideImgsView',
            'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/bloom-elements.js",
        ) );

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Carousel_Slider_Multiimgs extends WPBakeryShortCode {}
        }



    

        vc_map( array(
            "name"      => esc_html__("Portfolio Title", 'bloom'),

            "base"      => "bloom_portfolio_title",
 
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Portfolio',

            "show_settings_on_create" => false,
            "params"    => array(

                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Portfolio_Title extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Portfolio Details", 'bloom'),
 
            "base"      => "bloom_portfolio_details",
          
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Portfolio',
         
            "show_settings_on_create" => true,
            "params"    => array(
                
                array(
                    "type" => "textarea_html",
                    "heading" => esc_html__("Content", 'bloom'),
                    "holder"=>'div',
                    "param_name" => "content",
                    "value"=>'<ul class="fl-wrap contact-list">
    <li>
        <span class="no-rep">Location : </span><a href="#">Norway  , Oslo</a>
    </li>
    <li>
        <span class="no-rep">Camera  : </span><a href="#">Leica SL 24</a>
    </li>
    <li>
        <span class="no-rep">Model : </span> <a href="#">Anna Smith</a>
    </li>
</ul>',
                    "description"=> '',
                    
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Portfolio_Details extends WPBakeryShortCode {}
        }



        vc_map( array(
            "name"      => esc_html__("Portfolio Nav", 'bloom'),
 
            "base"      => "bloom_portfolio_nav",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Portfolio',
            "show_settings_on_create" => true,
            "params"    => array(
                
                array(
                    "type" => "dropdown",
                  
                    "heading" => esc_html__('In Same Terms', 'bloom'),
                    "description" => esc_html__("Whether previous/next posts must be within the same taxonomy term as the current post.", 'bloom'),
                    "param_name" => "same_term",

                    "value" => array(   
                                    esc_html__('No', 'bloom') => 'no', 
                                    esc_html__('Yes', 'bloom') => 'yes',  
                                                                                                                   
                                ),
                    "std" => 'no', 

                    
                ),
                
            
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Portfolio_Nav extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Portfolio Comment", 'bloom'),
        
            "base"      => "bloom_portfolio_comment",
        
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Portfolio',
     
            "show_settings_on_create" => false,
            "params"    => array(
                
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Portfolio_Comment extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Share Post", 'bloom'),
     
            "base"      => "bloom_portfolio_share",
       
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Theme',
    
            "show_settings_on_create" => false,
            "params"    => array(


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "holder" => "div",
                    "param_name" => "share_names",
                    "value"=>'facebook,pinterest,googleplus,twitter,linkedin',
                    "description" => esc_html__("Enter your social share names separated by a comma. Available names: facebook,twitter,linkedin,in1,tumblr,digg,googleplus,reddit,pinterest,stumbleupon,email,vk", 'bloom')
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Portfolio_Share extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Popup Gallery Masonry", 'bloom'),
            "description" => esc_html__("with images selected",'bloom'),
            "base"      => "bloom_images_gallery_masonry",
         
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Portfolio',
      
            "params"    => array(

                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Gallery Photos", 'bloom'),
                    "param_name"=> "galleryimgs",
                   
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("First Load items", 'bloom'),
                    "param_name" => "loaded",
                    "value"=>'10',
                    "description" => esc_html__("Number of images you want to display in the first load. Should be maller than your total images number to use INFINITE scroll option bellow.", 'bloom')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Use INFINITE scroll load more items?', 'bloom'),
                    "param_name" => "show_loadmore",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                    "description" => esc_html__("Images will automatically load and adding when you scroll to the bottom.", 'bloom')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Load more items", 'bloom'),
                    "param_name" => "lmore_items",
                    "value"=>'3',
                    "description" => esc_html__("Number of images you want to get in the next loadings.", 'bloom')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Columns Grid', 'bloom'),
                    "param_name" => "columns",
                    "value" => array(   
                        esc_html__('One Column', 'bloom') => 'one',  
                        esc_html__('Two Columns', 'bloom') => 'two',  
                        esc_html__('Three Columns', 'bloom') => 'three',        
                        esc_html__('Four Columns', 'bloom') => 'four',        
                        esc_html__('Five Columns', 'bloom') => 'five',        
        
                    ),
                 
                    "std"=>'three',    
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'bloom'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('None', 'bloom') => 'none', 
                        esc_html__('Extra Small', 'bloom') => 'extrasmall',
                        esc_html__('Small', 'bloom') => 'small',
                        esc_html__('Medium', 'bloom') => 'medium',
                        esc_html__('Big', 'bloom') => 'big', 
                         
                        
                    ), 
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image title', 'bloom'),
                    "param_name" => "show_img_title",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'no',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image description', 'bloom'),
                    "param_name" => "show_img_desc",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'no',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Use Popup Gallery', 'bloom'),
                    "param_name" => "show_zoom",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Images_Gallery_Masonry extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Horizontal Gallery", 'bloom'),
            "description" => esc_html__("with images selected",'bloom'),
            "base"      => "bloom_images_gallery_horizontal",
     
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Bloom Portfolio',
       
            "params"    => array(
                
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__('Style', 'bloom'),
                    "param_name" => "hoz_style",
                    "value" => array(   
                        esc_html__('Style One', 'bloom') => 'one',  
                        esc_html__('Style Two', 'bloom') => 'two',  
                        esc_html__('Style Three', 'bloom') => 'three',  
                            
        
                    ), 
                    "std"=>'one',    
                    
                ),
                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Gallery Photos", 'bloom'),
                    "param_name"=> "galleryimgs",
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("First Load items", 'bloom'),
                    "param_name" => "loaded",
                    "value"=>'10',
                    "description" => esc_html__("Number of images you want to display in the first load. Should be maller than your total images number to use INFINITE scroll option bellow.", 'bloom')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show Loadmore', 'bloom'),
                    "param_name" => "show_loadmore",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                    
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Load more items", 'bloom'),
                    "param_name" => "lmore_items",
                    "value"=>'3',
                    "description" => esc_html__("Number of images you want to get in the next loadings.", 'bloom')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Vertical Columns', 'bloom'),
                    "param_name" => "columns",
                    "value" => array(   
                        esc_html__('One Column', 'bloom') => 'one',  
                        esc_html__('Two Columns', 'bloom') => 'two',  
                        esc_html__('Three Columns', 'bloom') => 'three',        
                        esc_html__('Four Columns', 'bloom') => 'four',        
                        esc_html__('Five Columns', 'bloom') => 'five',        
        
                    ),
                    "std"=>'three',    
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'bloom'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('None', 'bloom') => 'none', 
                        esc_html__('Extra Small', 'bloom') => 'extrasmall',
                        esc_html__('Small', 'bloom') => 'small',
                        esc_html__('Medium', 'bloom') => 'medium',
                        esc_html__('Big', 'bloom') => 'big', 
                         
                        
                    ), 
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image title', 'bloom'),
                    "param_name" => "show_img_title",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image description', 'bloom'),
                    "param_name" => "show_img_desc",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),


                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Use Popup Gallery', 'bloom'),
                    "param_name" => "show_zoom",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Fix Mobile height?', 'bloom'),
                    "param_name" => "fix_mobile_height",
                    "value" => array(   
                        esc_html__('Yes', 'bloom') => 'yes',  
                        esc_html__('No', 'bloom') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),


                
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Images_Gallery_Horizontal extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Before After", 'bloom'),
           "description" => esc_html__("Highlight the differences between two images",'bloom'),
           "base"      => "bloom_before_after",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Bloom Theme',
           "show_settings_on_create" => true,
           "params"    => array( 
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Before Image", 'bloom'),
                    "param_name"=> "before_img",
                    
                ),
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("After Image", 'bloom'),
                    "param_name"=> "after_img",
                    
                ),



                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Image size", 'bloom'),
                    "param_name" => "thumbnail_size",
                    "description" => esc_html__('Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height).','bloom' ),
                    "value"=> 'full',
                ),

                array(
                    "type" => "dropdown", 
                    "heading" => esc_html__('Direction', 'bloom'), 
                    "param_name" => "direction", 
                    "value" => array(
                        esc_html__('Horizontal', 'bloom') => 'horizontal', 
                        esc_html__('Vertical', 'bloom') => 'vertical', 
                    ), 
                    "std" => 'horizontal',
                ),

                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Offset", 'bloom'),
                    "param_name" => "offset",
                    "description" => esc_html__('From 0 to 1. How much of the before image is visible when the page loads','bloom' ),
                    "value"=> '0.7',
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'bloom'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'bloom')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'bloom' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'bloom' ),
                ),

            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Bloom_Before_After extends WPBakeryShortCode {}
        }

}

?>