<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $title
 * @var $icon
 * @var $link
 * @var $content - shortcode content
 *
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Before_After
 */
$css = $el_class = $before_img = $after_img = $thumbnail_size = $direction = $offset = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$attributes = array();

$css_classes = array(
    'bloom_before_after_wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

if( strpos($thumbnail_size, "x") !== false){
    $thumbnail_size = explode("x", $thumbnail_size);
}
?>

<div class="<?php echo esc_attr($css_class ); ?>">
    <div class="bloom-before-after" data-direction="<?php echo esc_attr($direction );?>"  data-offset="<?php echo esc_attr($offset );?>">
    <?php if(!empty($before_img)){
        echo wp_get_attachment_image( $before_img, $thumbnail_size );
    }?>
    <?php if(!empty($after_img)){
        echo wp_get_attachment_image( $after_img, $thumbnail_size );
    }?>
    </div>
</div>