<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $items
 * @var $autoplay
 * @var $autoplayspeed
 * @var $autoplaytimeout
 * @var $loop
 * @var $dots
 * @var $smartspeed
 * @var $center
 * @var $autowidth
 * @var $parallax_value
 * @var $box_pos
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Carousel_Slider
 */
$el_class = $items = $autoplay = $autoplayspeed = $autoplaytimeout = $css = $responsive = $slideimages = $autoheight = $loop = $dots = $smartspeed = $center = $autowidth = $parallax_value = $box_pos = $animate_in = $animate_out = '';
$enable_mousewheel = '0';
$enable_keyboard = '1';
$show_counter = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts ); 

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$dataArr = array();

if($autoplayspeed == 'true'){
    $dataArr['autoplaySpeed'] = true;
}elseif(is_numeric($autoplayspeed)){
    $dataArr['autoplaySpeed'] = (int)$autoplayspeed;
}
$dataArr['autoplayTimeout'] = (int)$autoplaytimeout;
if($autoheight === 'yes'){
    $dataArr['autoHeight'] = true;
}else{
    $dataArr['autoHeight'] = false;
}
if($autoplay === 'yes'){
    $dataArr['autoplay'] = true;
}else{
    $dataArr['autoplay'] = false;
}
$dataArr['items'] = (int)$items;
if(!empty($responsive)){
    $el_class .=' resp-ena';
    $dataArr['responsive'] = $responsive;
}else{
    $dataArr['responsive'] = false;
}
if($loop === 'yes'){
    $dataArr['loop'] = true;
}else{
    $dataArr['loop'] = false;
}
if($dots === 'yes'){
    $dataArr['dots'] = true;
}else{
    $dataArr['dots'] = false;
}
if($center === 'yes'){
    $dataArr['center'] = true;
}else{
    $dataArr['center'] = false;
}
if($autowidth === 'yes'){
    $dataArr['autoWidth'] = true;
}else{
    $dataArr['autoWidth'] = false;
}
$dataArr['smartSpeed'] = (int)$smartspeed;
$carouselAddCls = ' refrestonresizeowl';
if($enable_mousewheel == '1'){
    $carouselAddCls .= ' mousecontr';
}
if($enable_keyboard == '1'){
    $carouselAddCls .= ' keyboardcontr';
}
if($autowidth == 'yes'){
    $carouselAddCls .= ' owl-autowidth-yes';
}
if($autoheight == 'yes'){
    $carouselAddCls .= ' owl-autoheight-yes';
}
?>
<div class="fullheight-carousel-holder fl-wrap full-height <?php echo esc_attr($el_class );?> <?php echo esc_attr($css_class );?>">
    <div class="customNavigation">
        <a class="prev-slide transition"><i class="fa fa-angle-left"></i></a>
        <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
    </div>
    <!-- fullheight-carousel-->
    <div class="fullheight-carousel owl-carousel owl-theme<?php echo esc_attr( $carouselAddCls );?>"  data-options='<?php echo json_encode($dataArr);?>'>
        <?php echo wpb_js_remove_wpautop($content);?>
        
    </div>
    <!-- fullheight-carousel end-->
</div>
