<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $slideimg - ''
 * @var $parallax_val - '250'
 * @var $content_box_pos - 'left'
 * @var $content_box_bg - 'yes'
 * @var $content_box_ani - 'yes'
 * @var $opacity - 0.2
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Home_Swiper_Item
 */
$css = $el_class = $slideimg = $slidelink =  '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'home-horizontal-item',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );


$attributes = array();
//parse link
$slidelink = ( '||' === $slidelink ) ? '' : $slidelink;
$slidelink = vc_build_link( $slidelink );
$use_link = false;
if ( strlen( $slidelink['url'] ) > 0 ) {
    $use_link = true;
    $a_href = $slidelink['url'];
    $a_title = $slidelink['title'];
    $a_target = $slidelink['target'];
    $a_rel = $slidelink['rel'];
}

if ( $use_link ) {
    $attributes[] = 'href="' . trim( $a_href ) . '"';
    $attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
    if ( ! empty( $a_target ) ) {
        $attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
    }
    if ( ! empty( $a_rel ) ) {
        $attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
    }
}

$attributes[] = 'class="ajax home-hoz-item-link-a"';


$attributes = implode( ' ', $attributes );

?>

<div class="portfolio_item <?php echo esc_attr($css_class );?>">
    <?php echo wp_get_attachment_image( $slideimg, 'bloomhoz-thumb'); ?>
    <?php if(bloom_global_var('all_image_popup')) :?>
        <a data-src="<?php echo esc_url(bloom_get_attachment_thumb_link($slideimg, 'full') );?>" data-sub-html="" class="folio-popup-gallery hoz-gal-one-pop-link transition"><i class="fa fa-search"></i></a>
    <?php else : ?>
        <a data-src="<?php echo esc_url(bloom_get_attachment_thumb_link($slideimg, 'full') );?>" class="folio-popup-gallery slider-zoom"><i class="fa fa-search"></i></a>
    <?php endif;?>
    <div class="thumb-info home-horizontal-item-content-wrapp">
    <?php if(!empty($attributes)) : ?>
		<h3 class="hor-item-link"><?php echo '<a ' . $attributes . '>';?><?php echo esc_html(trim( $a_title ));?></a></h3>
    <?php endif;?>
        <?php echo wpb_js_remove_wpautop($content,true);?>
    </div>
</div>