<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $title
 * @var $values
 * @var $content - shortcode content
 *
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Home_Landing
 */
$css = $el_class = $title = $subtitle = $demos = $bgimg = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'home-landing-ele-holder',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

$demos = (array) vc_param_group_parse_atts( $demos );
?>
<div class="<?php echo esc_attr($css_class ); ?>">
    <div class="logo-holder-landing">
    <?php if($title != '') : ?>
        <h2><?php echo esc_html($title);?></h2>
    <?php endif;?>
    <?php if($subtitle != '') : ?>
        <h3><?php echo esc_html($subtitle);?></h3>
    <?php endif;?>
    </div>
    <div class="bg-landing" data-bg="<?php echo esc_url(bloom_get_attachment_thumb_link($bgimg, 'full') );?>"></div>
    <div class="overlay-landing"></div>
    <div class="version-wrap">
    <?php 
    if(!empty($demos)) : ?>
        <div class="version-inner">
            <div class="over-bg"></div>
        <?php 
        $htmldata = '';
        foreach ( $demos as $key => $data ) { 
            
            if(isset( $data['bgimg'] )){
                $htmldata .= '<a href="'.(isset( $data['link'] ) ? esc_url($data['link'] ) : '#').'" target="'.(isset( $data['target'] ) ? esc_attr($data['target'] ) : '_blank').'" class="landing-demo-link landing-demo-img-'.($key+1).'">'.(isset( $data['title'] ) ? esc_html($data['title']) : 'Demo Title').'</a>';
                echo wp_get_attachment_image( $data['bgimg'] , 'full', false, array('class'=>'landing-demo-img landing-demo-img-'.($key+1) ) );
            }else{
                $htmldata .= '<a href="'.(isset( $data['link'] ) ? esc_url($data['link'] ) : '#').'" target="'.(isset( $data['target'] ) ? esc_attr($data['target'] ) : '_blank').'" class="landing-demo-link landing-demo-a-'.($key+1).'">'.(isset( $data['title'] ) ? esc_html($data['title']) : 'Demo Title').'</a>';
            }
        } 
        ?> 
            <div class="ver-link ver-link-num-<?php echo count($demos);?>">
                <?php echo wp_kses_post( $htmldata ); ?>
            </div>
        </div>
    <?php
    endif;
    ?>
        <div class="notifer">
            <?php echo wpb_js_remove_wpautop($content);?>
        </div>
    </div>
</div>