<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $slideimgs
 * @var $opacity
 * @var $items
 * @var $autoplayspeed
 * @var $scroll_link
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Home_Slideshow
 */
$css = $el_class = $slideimgs = $opacity = $items = $autoplayspeed = $scroll_link = '';
$show_counter = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts ); 

$css_classes = array(
    'fl-wrap full-height',
    'home-slideshow-wrapp',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );


$dataArr = array();
if($autoplayspeed == 'true'){
    $dataArr['autoplaySpeed'] = true;
}elseif(is_numeric($autoplayspeed)){
    $dataArr['autoplaySpeed'] = (int)$autoplayspeed;
}
$dataArr['autoplayTimeout'] = (int)$autoplaytimeout;
$dataArr['items'] = (int)$items;
?>
<div class="fl-wrap full-height <?php echo esc_attr($css_class );?>">
    <div class="hero-item alt home-slideshow-content-wrap">
        <?php echo wpb_js_remove_wpautop($content,true);?>
    </div>
    <?php

    if(!empty($slideimgs)){
        $slideshows = explode(",", $slideimgs);

        if(!empty($slideshows)) : 

        ?>
        <div class="slideshow-holder">
            <div class="overlay"<?php if($opacity != ''):?>
         style="opacity:<?php echo esc_attr($opacity );?>;"
        <?php endif;?>></div>
            <div class="slideshow-slider hero-slider fl-wrap full-height owl-carousel owl-theme refrestonresizeowl" data-options='<?php echo json_encode($dataArr);?>'>

            <?php foreach ($slideshows as $key => $img) {
            
            ?>
                <div class="item fl-wrap full-height">
                    <div class="bg"  data-bg="<?php echo esc_url(bloom_get_attachment_thumb_link($img, 'bloomfuls-thumb') );?>"></div>
                </div>
            <?php
            } ?>
            </div>
        </div>
        <?php
        endif;
    }

    ?>

    <?php if(!empty($scroll_link)) :?>
    <a href="<?php echo esc_url($scroll_link);?>" class="sec-entr-link custom-scroll-link"><i class="fa fa-angle-double-down"></i></a>
    <?php endif;?>
</div>