<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $controls
 * @var $mute
 * @var $video
 * @var $bgimg
 * @var $containment
 * @var $autoplay
 * @var $opacity
 * @var $video_style
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Home_Youtube_Video
 */
$css = $el_class = $bgimg = $opacity = $scroll_link = $video = $parallax_value = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'home-vimeo-video-wrapp',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

?>
<div class="fl-wrap full-height <?php echo esc_attr($css_class );?>">
    <div class="hero-item alt home-vimeo-video-content-wrap">
        <?php echo wpb_js_remove_wpautop($content,true);?>
    </div>
    <div class="overlay" <?php if($opacity != ''):?>
     style="opacity:<?php echo esc_attr($opacity );?>;"
    <?php endif;?>></div>
    <div class="media-container">
        <div class="video-holder">
            <!--=============== add you video id  in data-vim=""  ===============-->
            <div  class="background-vimeo" data-vim="<?php echo esc_html($video );?>"> </div>
            <div class="mob-bg bg" <?php if(!empty($bgimg)) : ?>
             data-bg="<?php echo esc_url(bloom_get_attachment_thumb_link($bgimg, 'bloomfuls-thumb') );?>"
            <?php endif;?>></div>
        </div>
    </div>
</div>

