<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css
 * @var $controls
 * @var $mute
 * @var $video
 * @var $bgimg
 * @var $containment
 * @var $autoplay
 * @var $opacity
 * @var $video_style
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Home_Youtube_Video
 */
$el_class = $css = $controls = $mute = $bgimg = $containment = $autoplay = $opacity = $video_style = $scroll_link = $video = $parallax_value = $quality = $pauseonscroll = $fittobackground = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'home-youtube-video-wrapp',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

?>
<div class="fl-wrap full-height <?php echo esc_attr($css_class );?>">
    <div class="hero-item alt home-youtube-video-content-wrap">
        <?php echo wpb_js_remove_wpautop($content,true);?>
    </div>
    <div class="overlay" <?php if($opacity != ''):?>
     style="opacity:<?php echo esc_attr($opacity );?>;"
    <?php endif;?>></div>
    <div class="media-container" data-top-bottom="transform: translateY(300px);" data-bottom-top="transform: translateY(-300px);">
        <div class="video-mask"></div>
        <div class="mob-bg bg" 
        <?php if(!empty($bgimg)) : ?>
         data-bg="<?php echo esc_url(bloom_get_attachment_thumb_link($bgimg, 'bloomfuls-thumb') );?>"
        <?php endif;?>></div>
        <div  class="background-youtube" data-vid="<?php echo esc_html($video );?>" data-mv="<?php echo esc_attr($mute );?>" data-ql="<?php echo esc_attr($quality );?>" data-pos="<?php echo esc_html($pauseonscroll );?>" data-ftb="<?php echo esc_html($fittobackground );?>"></div>
    </div>
    <?php if(!empty($scroll_link)) :?>
    <a href="<?php echo esc_url($scroll_link);?>" class="sec-entr-link custom-scroll-link"><i class="fa fa-angle-double-down"></i></a>
    <?php endif;?>
</div>