<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $galleryimgs
 * @var $columns
 * @var $spacing
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Images_Gallery_Horizontal
 */
$css = $el_class = $galleryimgs = $columns = $spacing = $show_zoom = '';
$loaded = $show_loadmore = $lmore_items =  $hoz_style = $show_img_desc = $show_img_title = '';
$fix_mobile_height = 'yes';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );


$css_classes = array(
    'bloom_images_gallery_horizontal_wrap resize-carousel-holder res-protoc',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);

$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

if(!empty($galleryimgs)){
    $lmore_data = array();
    if($show_loadmore == 'yes'){
        $lmore_data = array();
        $lmore_data['images'] = $galleryimgs;
        $lmore_data['loaded'] = $loaded;
        $lmore_data['action'] = 'bloom_lm_gal_hoz';
        $lmore_data['lmore_items'] = $lmore_items;
        $lmore_data['show_zoom'] = $show_zoom;
        $lmore_data['hoz_style'] = $hoz_style;
        $lmore_data['show_img_title'] = $show_img_title;
        $lmore_data['show_img_desc'] = $show_img_desc;
        $lmore_data['show_zoom'] = $show_zoom;
    }

    $gal_imgs = explode(",", $galleryimgs);

    if(!empty($gal_imgs)) : 
    ?>
    <div class="<?php echo esc_attr($css_class );?>">

        
        
        <?php 
        $grid_cls = $columns.'-ver-columns folio-hoz-gallery';
        if($show_zoom == 'yes')  
            $grid_cls .= ' folio-gallery';
        $grid_cls .= ' hoz-'.$spacing.'-pad';

        //show load more
        if($show_loadmore == 'yes')
            $grid_cls .= ' use-loadmore';

        if($show_zoom == 'yes')
            $grid_cls .= ' gallery_enabled';

        ?>

        <div class="p_horizontal_wrap hoz-wrap-<?php echo esc_attr($spacing );?>-pad">
            <div id="portfolio_horizontal_container"  class="<?php echo esc_attr($grid_cls );?>" 
            <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
             data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
             data-lm-nonce="<?php echo wp_create_nonce( 'bloom_lm_gal_hoz' ); ?>"
             data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
            <?php endif;?>
            >
                <?php foreach ($gal_imgs as $key => $img) { 
                    if($key < $loaded) {

                        $at_img = get_post($img);

                        $at_tit = $at_img->post_title;
                        $at_des = $at_img->post_content;

                        $itcl = 'portfolio_item';
                        if($show_zoom == 'yes'){
                            $itcl .= ' has-popup';
                        }
                        ?>


                        <div class="<?php echo esc_attr($itcl );?>">
                            <?php echo wp_get_attachment_image( $img, 'bloomhoz-thumb'); ?>

                            <?php if($show_zoom == 'yes'):?>
                                <?php if(bloom_global_var('all_image_popup')) :?>
                                    <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" data-sub-html="" class="folio-popup-gallery hoz-gal-one-pop-link transition"><i class="fa fa-search"></i></a>
                                <?php else : ?>
                                    <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="folio-popup-gallery slider-zoom"><i class="fa fa-search"></i></a>
                                <?php endif;?>
                            <?php endif;?>
                            
                            <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                            <div class="thumb-info hoz-gal-info-wrap">
                                <?php if($show_img_title == 'yes') : ?>
                                    <h3><?php echo esc_html($at_tit);?></h3>
                                <?php endif;?>
                                <?php if($show_img_desc == 'yes') : ?>
                                    <?php echo wp_kses_post($at_des);?>
                                <?php endif;?>
                            </div>
                            <?php endif;?>
                        </div>

                <?php            
                               
                    }
                } 

                ?> 

                 <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded  ):?> 
                <div class="hoz-gal-lmore-holder">
                    <a class="hoz-gal-load-more" data-remain="yes" data-click="1" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse"></i> <span class="sr-only">Loading...</span>','bloom'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
                </div>   
                <?php endif;?>
                
            </div>
        </div>

    </div>
    <?php
    endif;
}

?>