<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $items
 * @var $autoplay
 * @var $autoplayspeed
 * @var $autoplaytimeout
 * @var $loop
 * @var $dots
 * @var $smartspeed
 * @var $center
 * @var $autowidth
 * @var $parallax_value
 * @var $box_pos
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Portfolio_Cats
 */
$cat_order_by = $cat_order = $cat_ids = $cat_ex_ids = '';
$el_class = $items = $autoplay = $autoplayspeed = $autoplaytimeout = $css = $responsive = $slideimages = $autoheight = $loop = $dots = $smartspeed = $center = $autowidth = $parallax_value = $box_pos = $animate_in = $animate_out = '';
$enable_mousewheel = '0';
$enable_keyboard = '1';
$show_counter = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts ); 

$term_args = array(
    'taxonomy'          => 'portfolio_cat',
    'orderby'           => $cat_order_by, 
    'order'             => $cat_order,
    'include'           => $cat_ids,
    'exclude'           => $cat_ex_ids,
    'parent'            => 0,
    
);

$portfolio_cats = get_terms($term_args );
if ( empty( $portfolio_cats ) || is_wp_error( $portfolio_cats ) ){
    return ;
}


$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$dataArr = array();

if($autoplayspeed == 'true'){
    $dataArr['autoplaySpeed'] = true;
}elseif(is_numeric($autoplayspeed)){
    $dataArr['autoplaySpeed'] = (int)$autoplayspeed;
}
$dataArr['autoplayTimeout'] = (int)$autoplaytimeout;
if($autoheight === 'yes'){
    $dataArr['autoHeight'] = true;
}else{
    $dataArr['autoHeight'] = false;
}
if($autoplay === 'yes'){
    $dataArr['autoplay'] = true;
}else{
    $dataArr['autoplay'] = false;
}
$dataArr['items'] = (int)$items;
if(!empty($responsive)){
    $el_class .=' resp-ena';
    $dataArr['responsive'] = $responsive;
}else{
    $dataArr['responsive'] = false;
}
if($loop === 'yes'){
    $dataArr['loop'] = true;
}else{
    $dataArr['loop'] = false;
}
if($dots === 'yes'){
    $dataArr['dots'] = true;
}else{
    $dataArr['dots'] = false;
}
if($center === 'yes'){
    $dataArr['center'] = true;
}else{
    $dataArr['center'] = false;
}
if($autowidth === 'yes'){
    $dataArr['autoWidth'] = true;
}else{
    $dataArr['autoWidth'] = false;
}
$dataArr['smartSpeed'] = (int)$smartspeed;
$carouselAddCls = ' refrestonresizeowl';
if($enable_mousewheel == '1'){
    $carouselAddCls .= ' mousecontr';
}
if($enable_keyboard == '1'){
    $carouselAddCls .= ' keyboardcontr';
}
if($autowidth == 'yes'){
    $carouselAddCls .= ' owl-autowidth-yes';
}
if($autoheight == 'yes'){
    $carouselAddCls .= ' owl-autoheight-yes';
}
?>
<div class="fullheight-carousel-holder fl-wrap full-height <?php echo esc_attr($el_class );?> <?php echo esc_attr($css_class );?>">
    <div class="customNavigation">
        <a class="prev-slide transition"><i class="fa fa-angle-left"></i></a>
        <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
    </div>
    <!-- fullheight-carousel-->
    <div class="fullheight-carousel owl-carousel owl-theme<?php echo esc_attr( $carouselAddCls );?>"  data-options='<?php echo json_encode($dataArr);?>'>
        
        <?php 
        foreach ($portfolio_cats as $key => $value) {

            $tax_header_image = '';
            $term_meta = get_option( "bloom_taxonomy_portfolio_cat_$value->term_id" );
            if($term_meta !== false){
                if( isset($term_meta['cat_header_image']['url']) ){
                    $tax_header_image = $term_meta['cat_header_image']['url'];
                }
            }


        ?>
        <div class="item">
            <div class="carousel-item">
                <div class="bg"  data-bg="<?php echo esc_url($tax_header_image );?>"></div>
                <div class="thumb-info home-cat-item-content-wrap">
                    <h3><?php esc_html_e('Category: ','bloom' );?><a href="<?php echo get_term_link( $value ) ;?>" class="ajax"><?php echo esc_html( $value->name );?></a></h3>
                    <p><?php echo esc_html( $value->description );?></p>
                </div>
                <a href="<?php echo get_term_link( $value ) ;?>" class="hoz-gal-one-pop-link transition"></a>
            </div>
        </div>

        <?php
        }

        ?>
        
    </div>
    <!-- fullheight-carousel end-->
</div>
