<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $show_all
 * @var $all_link
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Service
 */
$css = $el_class = $show_all = $all_link = $same_term = $show_tooltip = $nav_title = $is_fixed_nav = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'folio-nav-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

$in_same_term = false;
if($same_term == 'yes'){
    $in_same_term = true;
}

if($is_fixed_nav == 'yes'){
    $css_class .=' is_fixed_nav';
}else{
    $css_class .= ' sin-con-nav';
}

?>
<div class="clearfix"></div>
<div class="<?php echo esc_attr($css_class );?>">

    <div class="page_nav main-page-nav single-nav">
        <?php
        $prev_post = get_adjacent_post( $in_same_term, '', true, 'portfolio_cat' );
        if ( is_a( $prev_post, 'WP_Post' ) ) :
        ?>
        <a href="<?php echo get_permalink( $prev_post->ID ); ?>" class="arrow-nav lef-ar-nav ajax" title="<?php echo esc_attr( $prev_post->post_title );?>"><i class="fa fa-angle-double-left" aria-hidden="true"></i> <?php echo esc_html( $prev_post->post_title );?></a>
        <?php endif ?>
        <?php
        $next_post = get_adjacent_post( $in_same_term, '', false, 'portfolio_cat' );
        if ( is_a( $next_post, 'WP_Post' ) ) :
        ?>
        <a href="<?php echo get_permalink( $next_post->ID ); ?>" class="arrow-nav rig-ar-nav ajax" title="<?php echo esc_attr( $next_post->post_title );?>"><?php echo esc_html( $next_post->post_title );?> <i class="fa fa-angle-double-right" aria-hidden="true"></i></a>
        <?php endif; ?>
    </div>

</div>