<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $cat_ids
 * @var $cat_order_by
 * @var $cat_order
 * @var $order
 * @var $order_by
 * @var $ids
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Portfolios
 */
$css = $el_class = $cat_ids = $cat_order = $cat_order_by = $order = $order_by = $ids = $ids_not = $show_filter = $posts_per_page = $columns_grid = $spacing = $show_info = 
$show_excerpt = $show_view_project = $enable_gallery = $view_all_link = $show_overlay = $show_pagination = $show_loadmore = $hoz_style = $show_cat = $show_counter = $show_share = '';

$loadmore_posts = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'masonry-folio-main-wrap content',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

switch ($hoz_style) {
    case 'two':
        $css_class .= ' folio-grid-style-two-wrap column-filter-wrap';
        break;
    case 'three':
        $css_class .= ' folio-grid-style-three-wrap';
        break;
    default:
        $css_class .= '  folio-grid-style-one-wrap';
        break;
}

?>


<div class="<?php echo esc_attr($css_class );?>">

<?php 
    if(is_front_page()) {
        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
    } else {
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    }
    if(!empty($ids)){
        $ids = explode(",", $ids);
        $portfolio_args = array(
            'post_type' => 'portfolio',
            'paged' => $paged,
            'posts_per_page'=> $posts_per_page,
            'post__in' => $ids,
            'orderby'=> $order_by,
            'order'=> $order,
        );
    }elseif(!empty($ids_not)){
        $ids_not = explode(",", $ids_not);
        $portfolio_args = array(
            'post_type' => 'portfolio',
            'paged' => $paged,
            'posts_per_page'=> $posts_per_page,
            'post__not_in' => $ids_not,
            'orderby'=> $order_by,
            'order'=> $order,
        );
    }else{
        $portfolio_args = array(
            'post_type' => 'portfolio',
            'paged' => $paged,
            'posts_per_page'=> $posts_per_page,
            'orderby'=> $order_by,
            'order'=> $order,
        );
    }
    
    

    if(!empty($cat_ids)){
        $term_args = array(
            'orderby'           => $cat_order_by, 
            'order'             => $cat_order,
            'exclude'           => $cat_ids,
            'parent'            => 0,
            
        ); 
        $portfolio_args['tax_query'][] = array(
            'taxonomy' => 'portfolio_cat',
            'field' => 'term_id',
            'terms' => $cat_ids,
            'operator' => 'NOT IN',
        );
    }else{
        $term_args = array(
            'orderby'           => $cat_order_by, 
            'order'             => $cat_order,
            'parent' => 0,
            
        ); 
    }

$portfolios = new WP_Query($portfolio_args); 

if($portfolios->have_posts()) : 
?>

    <?php    
    if($show_filter == 'yes') : 

        $term_args['taxonomy'] = 'portfolio_cat';

        $portfolio_cats = get_terms($term_args); 

    ?>
    <?php if(count($portfolio_cats)): 
        $filtercls = 'fixed-filter masonry-filter-style1';
        $filterincls = 'gallery-filters';
        if($hoz_style == 'two'){
            $filtercls = 'column-filter masonry-filter-style2';
            $filterincls = 'gallery-filters fl-wrap alt';
        }elseif($hoz_style == 'three'){
            $filtercls = 'inline-filter fl-wrap masonry-filter-style3';
            $filterincls = 'gallery-filters';
        }
    ?>
    <div class="<?php echo esc_attr($filtercls );?>">
        <div class="filter-button"><?php esc_html_e('Filter:','bloom' );?></div>
        <div class="<?php echo esc_attr($filterincls );?>">
            <a href="#" class="gallery-filter gallery-filter-active" data-filter="*"><?php esc_html_e('All','bloom' );?></a>
            <?php foreach($portfolio_cats as $portfolio_cat) { ?>
            <a href="#" class="gallery-filter" data-filter=".portfolio_cat-<?php echo esc_attr($portfolio_cat->slug ); ?>"><?php echo esc_html($portfolio_cat->name ); ?></a>
            <?php } ?> 
        </div>
    </div>

    <?php endif; 
    endif; //end showfillter
    ?>  

    


<?php 

$grid_cls = 'gallery-items folio-gallery';
$grid_cls .= ' '.$columns_grid.'-columns';
$grid_cls .= ' ver-'.$spacing.'-pad';
//show load more
if($show_loadmore == 'yes')
    $grid_cls .= ' use-loadmore';

if($enable_gallery == 'yes')
    $grid_cls .= ' gallery_enabled';

switch ($hoz_style) {
    case 'two':
        $grid_cls .= ' man-style-two';
        //$hoz_style_page = 'style2';
        break;
    case 'three':
        $grid_cls .= ' boxed-folio  hid-port-info pad-btom-folio man-style-three';
        //$hoz_style_page = 'style2';
        break;
    default:
        $grid_cls .= ' hid-port-info pad-btom-folio man-style-one';
        //$hoz_style_page = 'style3';
        break;
}

$hoz_style_page = 'style1';

$additional_vars =  array(
        'enable_gallery'=>$enable_gallery,
        'show_view_project'=>$show_view_project,
        'show_cat'=>$show_cat,
        'show_excerpt'=>$show_excerpt,
    );

?>
<div class="folio-grid-folios-wrap">

        <div class="<?php echo esc_attr($grid_cls );?>" 
        <?php if( $show_loadmore == 'yes' && ( $posts_per_page != '-1' && $portfolios->found_posts && $portfolios->found_posts > $posts_per_page ) ):
        $lmore_data = $portfolio_args;
        $lmore_data['action'] = 'bloom_lm_folio';
        $lmore_data['lmore_items'] = $loadmore_posts;
        $lmore_data['layout'] = 'ver';// grid, ver, hoz
        $lmore_data['additional_vars'] = $additional_vars;
        $lmore_data['folio_style'] = $hoz_style_page;
        ?>
         data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
         data-lm-nonce="<?php echo wp_create_nonce( 'bloom_lm_folio' ); ?>"
         data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
        <?php endif;?>
        >
            <div class="grid-sizer"></div>
            <div class="grid-sizer-second"></div>
            <div class="grid-sizer-three"></div>

            <?php while($portfolios->have_posts()) : $portfolios->the_post(); ?>
                
                <?php 
                bloom_get_template_part( 'portfolio-ver', $hoz_style_page , $additional_vars ); 
                ?>

            <?php endwhile;?> 
            
        </div>
        <?php if( $show_pagination == 'yes' ) bloom_custom_pagination($portfolios->max_num_pages, $range = 2, $portfolios , false)  ;?>

        <?php if( $show_loadmore == 'yes' && ( $posts_per_page != '-1' && $portfolios->found_posts && $portfolios->found_posts > $posts_per_page ) ) : ?>
        <div class="folio-grid-lmore-holder">
            <a class="folio-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','bloom'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
        </div>
        <?php endif; ?>
</div>
<?php endif; ?>

</div>
<div class="clearfix"></div>
<?php wp_reset_postdata();?>