<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 *
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Row
 */
$el_class = $full_height = $parallax_speed_bg = $parallax_speed_video = $full_width = $equal_height = $flex_row = $columns_placement = $content_placement = $parallax = $parallax_image = $css = $el_id = $video_bg = $video_bg_url = $video_bg_parallax = $css_animation = '';
$disable_element = '';
$output = $after_output = '';
// for custom fields
$cth_layout
 = $no_padding = $bloom_bg_color
 = $overlay_color
 = $is_fullwidth

 = $parallax_inner = $parallax_inner_op = $parallax_inner_val  
 = $sec_number = $sec_number_pos = $sec_number_par 

/* For portfolio layout */
 = $gallery_images

 = $items = $autoplay = $autoplayspeed = $autoplaytimeout = $responsive = $autoheight = $loop = $dots = $smartspeed = $center = $autowidth 

 = $show_thumbs = $show_cap = $show_zoom = $show_more_info

 = $gal_columns = $gal_space

 = $video_id = $video_bg_id = $video_quality = $video_mute

 = '';

 $show_share = '';

 $loaded = $show_loadmore = $lmore_items = $show_img_desc = $show_img_title = '';

 $enable_mousewheel = $enable_keyboard = $autoheight = $dots = $responsive = $folio_list_link = '';

 $is_mobile_auto_height = $thumbnail_size = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

if($cth_layout == 'bloom_homefullheight_sec'){ //layout #1 ?>
<?php
$el_class = $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );

$css_classes = array(
    'bloom_sec bloom_fulh_sec full-height no-padding',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);

if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg vc_hidden-xs vc_hidden-sm vc_hidden-md';
    } else {
        return '';
    }
}
if($is_mobile_auto_height == 'yes'){
    $css_classes[] = 'full-height-to-auto-mobile';
}

$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<section <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?><?php echo (!empty($sec_number_par)||!empty($parallax_inner_val)) ? ' data-scrollax-parent="true"' : '' ;?>>
    
    <?php if(!empty($parallax_inner)) :?>
    <?php 
    $bgcls = 'bg'; 
    if(!empty($parallax_inner_val)){
        $bgcls .= ' par-elem';
    }?>
    <div class="<?php echo esc_attr($bgcls );?>" data-bg="<?php echo esc_url(bloom_get_attachment_thumb_link($parallax_inner, 'bloomfuls-thumb') );?>"
    <?php if(!empty($parallax_inner_val)): ?>
     data-scrollax="properties: { <?php echo esc_attr($parallax_inner_val );?> }"
    <?php endif; ?>
    ></div>
    <div class="overlay" style="opacity:<?php echo esc_attr($parallax_inner_op );?>;background-color: <?php echo esc_attr($overlay_color );?>;"></div>
    <?php endif;?>
                  
    <?php 
        if ( $is_fullwidth === 'yes' ) { ?>
        <div class="container-fluid full-height">
    <?php }elseif($is_fullwidth === 'wide'){ ?>
        <div class="container row-container-wide full-height">
    <?php }else { ?>
        <div class="container full-height">
    <?php
    }    ?>
            <div class="row full-height">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

        <?php 
if(!empty($sec_number)):
    if($sec_number_pos == 'right'): ?>
    <div class="parallax-title right-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php else: ?>
    <div class="parallax-title left-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php endif;?>
    <?php echo esc_attr($sec_number );?></div>
<?php endif;?>

</section>

<?php }elseif($cth_layout == 'bloom_page_sec'){ //layout #2?>
<?php
$el_class = $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );

$css_classes = array(
    'bloom_sec bloom_page_sec',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
    //$bloom_bg_color
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg vc_hidden-xs vc_hidden-sm vc_hidden-md';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
if($no_padding == 'yes'){
    $css_class .= ' no-padding';
}
?>

<section <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?><?php echo (!empty($sec_number_par)||!empty($parallax_inner_val)) ? ' data-scrollax-parent="true"' : '' ;?>>
    
    <?php if(!empty($parallax_inner)) :?>
    <?php 
    $bgcls = 'bg'; 
    if(!empty($parallax_inner_val)){
        $bgcls .= ' par-elem';
    }?>
    <div class="<?php echo esc_attr($bgcls );?>" data-bg="<?php echo esc_url(bloom_get_attachment_thumb_link($parallax_inner, 'bloomfuls-thumb') );?>"
    <?php if(!empty($parallax_inner_val)): ?>
     data-scrollax="properties: { <?php echo esc_attr($parallax_inner_val );?> }"
    <?php endif; ?>
    ></div>
    <div class="overlay" style="opacity:<?php echo esc_attr($parallax_inner_op );?>;background-color: <?php echo esc_attr($overlay_color );?>;"></div>
    <?php endif;?>

<?php 
if ( $is_fullwidth === 'yes' ) { ?>
    <div class="container-fluid">
    <?php }elseif($is_fullwidth === 'wide'){ ?>
    <div class="container row-container-wide">
    <?php }else { ?>
    <div class="container">
    <?php
    }    ?>
        <div class="row">
            <?php echo wpb_js_remove_wpautop($content); ?>
        </div>
    </div>
    
    <?php 
if(!empty($sec_number)):
    if($sec_number_pos == 'right'): ?>
    <div class="parallax-title right-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php else: ?>
    <div class="parallax-title left-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php endif;?>
    <?php echo esc_attr($sec_number );?></div>
<?php endif;?>
</section>


<?php
/* For portfolio single layout */

 }elseif($cth_layout == 'portfolio_style1_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );

$css_classes = array(
    'bloom_folio_style1_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <div class="vis-pan bvp<?php if( $show_thumbs == 'no' && $show_more_info == 'no') echo ' hide-cpanel';?>">
        <?php if($show_thumbs == 'yes') :?><span  class="show-thumbs vis-t"><?php esc_html_e('thumbnails','bloom' );?></span><?php endif;?>
        <div class="cap-option">
            <?php if($show_more_info == 'yes'):?><div class="show-info"><?php esc_html_e('details','bloom' );?></div><?php endif;?>
            <div class="num-holder2"></div>
        </div>
    </div>
    <!-- vis-pan  end -->
    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;
            if(!empty($responsive)){
                $dataArr['responsive'] = $responsive;
            }else{
                $dataArr['responsive'] = false;
            }
            if($dots === 'yes'){
                $dataArr['dots'] = true;
            }else{
                $dataArr['dots'] = false;
            }
            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }
            $carouselAddCls = ' refrestonresizeowl';
            if($enable_mousewheel == '1'){
                $carouselAddCls .= ' mousecontr';
            }
            if($enable_keyboard == '1'){
                $carouselAddCls .= ' keyboardcontr';
            }
            if($autowidth == 'yes'){
                $carouselAddCls .= ' owl-autowidth-yes';
            }
            if($autoheight == 'yes'){
                $carouselAddCls .= ' owl-autoheight-yes';
            }

            if( strpos($thumbnail_size, "x") !== false){
                $thumbnail_size = explode("x", $thumbnail_size);
            }

        ?>
    <div class="resize-carousel-holder folio-gallery no-padding gal-mob-hol">
        <div id="gallery_horizontal" class="gallery_horizontal fl-wrap full-height owl-carousel owl-theme<?php echo esc_attr( $carouselAddCls );?>" data-cen="0" data-loops="1" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                <div class="horizontal_item" >
                <?php
                if($autowidth === 'yes') {
                    echo wp_get_attachment_image( $img, $thumbnail_size);
                }else{
                    echo '<div class="bg" data-bg="'.esc_url(bloom_get_attachment_thumb_link($img, 'bloomfuls-thumb') ).'"></div>';
                } ?>
                    <?php if($show_zoom == 'yes'):?>
                        <?php if(bloom_global_var('all_image_popup')) :?>
                            <a data-src="<?php echo esc_url(wp_get_attachment_url( $img ) );?>" data-sub-html="" class="folio-popup-gallery hoz-gal-one-pop-link transition"><i class="fa fa-search"></i></a>
                        <?php else : ?>
                            <a data-src="<?php echo esc_url(wp_get_attachment_url( $img ) );?>" class="folio-popup-gallery slider-zoom"><i class="fa fa-search"></i></a>
                        <?php endif;?>
                    <?php endif;?>
                    <?php if($show_cap == 'yes') :?>
                    <div class="thumb-info img-slider-info-wrapp">
                        <?php echo wp_kses_post($at_des);?>
                    </div>
                    <?php endif;?>
                </div>
                <?php } ?> 

                
                
                                     
            </div>
        <!--  navigation -->
        <div class="customNavigation gals">
            <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
            <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
        </div>
        <!--  navigation end-->
    </div>
    <?php endif; //end gal_imgs
    } ?>
    <!--  info -->
    <div class="info-overlay"></div>
    <div class="info-wrap">
        <div class="close-info"></div>
        <div class="info-inner">
            <?php echo wpb_js_remove_wpautop($content); ?>
        </div>
    </div>
    <!--  info end  -->
    <?php if( $show_share == 'yes' && bloom_global_var('share_names') !=''): ?>
    <div class="share-holder left-share">
        <span><?php esc_html_e('Share :','bloom' );?></span>
        <div class="share-container" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", bloom_global_var('share_names') ) ) ) );?>']"></div>
    </div>
    <?php endif;?>

</div>



<?php }elseif($cth_layout == 'portfolio_style2_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );

$css_classes = array(
    'bloom_folio_style2_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>
    
    <?php if($folio_list_link != '') : ?>
    <a href="<?php echo esc_url($folio_list_link );?>" class="ajax port-fixed-link"><?php esc_html_e('Back to Portfolio','bloom' );?></a>
    <?php endif;?>
    <div class="vis-pan bvp no-bg transp-panel<?php if( $show_thumbs == 'no' && $show_more_info == 'no') echo ' hide-cpanel';?>">
        <?php if($show_thumbs == 'yes') :?><span  class="show-thumbs vis-t"><?php esc_html_e('thumbnails','bloom' );?></span><?php endif;?>
        <div class="cap-option">
            <?php if($show_more_info == 'yes'):?><div class="show-info"><?php esc_html_e('details','bloom' );?></div><?php endif;?>
            <div class="num-holder2"></div>
        </div>
    </div>
    <!-- vis-pan  end -->
    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;
            if(!empty($responsive)){
                $dataArr['responsive'] = $responsive;
            }else{
                $dataArr['responsive'] = false;
            }
            if($dots === 'yes'){
                $dataArr['dots'] = true;
            }else{
                $dataArr['dots'] = false;
            }
            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }
            $carouselAddCls = ' refrestonresizeowl';
            if($enable_mousewheel == '1'){
                $carouselAddCls .= ' mousecontr';
            }
            if($enable_keyboard == '1'){
                $carouselAddCls .= ' keyboardcontr';
            }
            if($autowidth == 'yes'){
                $carouselAddCls .= ' owl-autowidth-yes';
            }
            if($autoheight == 'yes'){
                $carouselAddCls .= ' owl-autoheight-yes';
            }

            if( strpos($thumbnail_size, "x") !== false){
                $thumbnail_size = explode("x", $thumbnail_size);
            }

        ?>
    <div class="resize-carousel-holder folio-gallery  single-slider-wrap" data-looped="1">
        <div class="fullscreen-slider-holder fl-wrap full-height">
            <div class="full-screen-gallery  fl-wrap full-height ad-thumbs owl-carousel owl-theme<?php echo esc_attr( $carouselAddCls );?>" data-cen="0" data-loops="1" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                <div class="horizontal_item" >
                <?php
                if($autowidth === 'yes') {
                    echo wp_get_attachment_image( $img, $thumbnail_size);
                }else{
                    
                    echo '<div class="bg" data-bg="'.esc_url(bloom_get_attachment_thumb_link($img, 'bloomfuls-thumb') ).'"></div>';
                } ?>
                    
                    <?php if($show_zoom == 'yes'):?>
                        <?php if(bloom_global_var('all_image_popup')) :?>
                            <a data-src="<?php echo esc_url(wp_get_attachment_url( $img ) );?>" data-sub-html="" class="folio-popup-gallery hoz-gal-one-pop-link transition"><i class="fa fa-search"></i></a>
                        <?php else : ?>
                            <a data-src="<?php echo esc_url(wp_get_attachment_url( $img ) );?>" class="folio-popup-gallery slider-zoom"><i class="fa fa-search"></i></a>
                        <?php endif;?>
                    <?php endif;?>
                    <?php if($show_cap == 'yes') :?>
                    <div class="thumb-info img-slider3-info-wrapp">
                        <?php echo wp_kses_post($at_des);?>
                    </div>
                    <?php endif;?>
                </div>
                <?php } ?> 
                
                                     
            </div>
            <!--  navigation -->
            <div class="customNavigation">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
            <!--  navigation end-->
        </div>
    </div>

    <?php endif; //end gal_imgs
    } ?>
    <!--  info -->
    <div class="info-overlay"></div>
    <div class="info-wrap">
        <div class="close-info"></div>
        <div class="info-inner">
            <?php echo wpb_js_remove_wpautop($content); ?>
        </div>
    </div>
    <!--  info end  -->
    <?php if( $show_share == 'yes' && bloom_global_var('share_names') !=''): ?>
    <div class="share-holder trns-share  left-share">
        <span><?php esc_html_e('Share :','bloom' );?></span>
        <div class="share-container" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", bloom_global_var('share_names') ) ) ) );?>']"></div>
    </div>
    <?php endif;?>

</div>

<?php }elseif($cth_layout == 'portfolio_style7_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );

$css_classes = array(
    'bloom_folio_style7_wrap bloom_images_gallery_horizontal_wrap resize-carousel-holder res-protoc folio-hoz-with-content-fix-mobile',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div class="vis-pan bvp vis-pan2">
    <div class="cap-option">
        <div class="show-info"><?php esc_html_e('details','bloom' );?></div>
    </div>
</div>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <?php
    if(!empty($gallery_images)){
        if($show_loadmore == 'yes'){
            $lmore_data = array();
            $lmore_data['images'] = $gallery_images;
            $lmore_data['loaded'] = $loaded;
            $lmore_data['action'] = 'bloom_lm_gal_hoz';
            $lmore_data['lmore_items'] = $lmore_items;
            $lmore_data['show_zoom'] = $show_zoom;

            $lmore_data['show_img_title'] = $show_img_title;
            $lmore_data['show_img_desc'] = $show_img_desc;

        }
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 

            $grid_cls = $gal_columns.'-ver-columns folio-hoz-gallery';
            if($show_zoom == 'yes')  
                $grid_cls .= ' folio-gallery';
            $grid_cls .= ' hoz-'.$gal_space.'-pad';

            //show load more
            if($show_loadmore == 'yes')
                $grid_cls .= ' use-loadmore';

            if($show_zoom == 'yes')
                $grid_cls .= ' gallery_enabled';
            ?>

            <div class="p_horizontal_wrap hoz-wrap-<?php echo esc_attr($gal_space );?>-pad">
                <div id="portfolio_horizontal_container"  class="<?php echo esc_attr($grid_cls );?>" 
                <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
                 data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
                 data-lm-nonce="<?php echo wp_create_nonce( 'bloom_lm_gal_hoz' ); ?>"
                 data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
                <?php endif;?>
                >
                    <?php foreach ($gal_imgs as $key => $img) { 
                        if($key < $loaded) {

                            $at_img = get_post($img);

                            $at_tit = $at_img->post_title;
                            $at_des = $at_img->post_content;

                            $itcl = 'portfolio_item';
                            if($show_zoom == 'yes'){
                                $itcl .= ' has-popup';
                            }
                            ?>


                            <div class="<?php echo esc_attr($itcl );?>">
                                <?php echo wp_get_attachment_image( $img, 'bloomhoz-thumb'); ?>

                                <?php if($show_zoom == 'yes'):?>
                                    <?php if(bloom_global_var('all_image_popup')) :?>
                                        <a data-src="<?php echo esc_url(wp_get_attachment_url( $img ) );?>" data-sub-html="" class="folio-popup-gallery hoz-gal-one-pop-link transition"><i class="fa fa-search"></i></a>
                                    <?php else : ?>
                                        <a data-src="<?php echo esc_url(wp_get_attachment_url( $img ) );?>" class="folio-popup-gallery slider-zoom"><i class="fa fa-search"></i></a>
                                    <?php endif;?>
                                <?php endif;?>
                                
                                <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                                <div class="thumb-info hoz-gal-info-wrap">
                                    <?php if($show_img_title == 'yes') : ?>
                                        <h3><?php echo esc_html($at_tit);?></h3>
                                    <?php endif;?>
                                    <?php if($show_img_desc == 'yes') : ?>
                                        <?php echo wp_kses_post($at_des);?>
                                    <?php endif;?>
                                </div>
                                <?php endif;?>
                            </div>

                    <?php            
                                   
                        }
                    } 

                    ?> 

                     <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded  ):?> 
                    <div class="hoz-gal-lmore-holder">
                        <a class="hoz-gal-load-more" data-remain="yes" data-click="1" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse"></i> <span class="sr-only">Loading...</span>','bloom'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
                    </div>   
                    <?php endif;?>
                    
                </div>
            </div>
    <?php endif; //end gal_imgs
    } ?>

</div>

<!--  info -->
<div class="info-overlay"></div>
<div class="info-wrap">
    <div class="close-info"></div>
    <div class="info-inner">
        <?php echo wpb_js_remove_wpautop($content); ?>
    </div>
</div>
<!--  info end  -->
<?php if( $show_share == 'yes' && bloom_global_var('share_names') !=''): ?>
<div class="share-holder left-share">
    <span><?php esc_html_e('Share :','bloom' );?></span>
    <div class="share-container" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", bloom_global_var('share_names') ) ) ) );?>']"></div>
</div>
<?php endif;?>

<?php
}else{


    wp_enqueue_script( 'wpb_composer_front_js' );

    $el_class = $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );

    $css_classes = array(
        'vc_row',
        'wpb_row',
        //deprecated
        'vc_row-fluid',
        $el_class,
        vc_shortcode_custom_css_class( $css ),
    );

    if ( 'yes' === $disable_element ) {
        if ( vc_is_page_editable() ) {
            $css_classes[] = 'vc_hidden-lg vc_hidden-xs vc_hidden-sm vc_hidden-md';
        } else {
            return '';
        }
    }

    if ( vc_shortcode_custom_css_has_property( $css, array(
            'border',
            'background',
        ) ) || $video_bg || $parallax
    ) {
        $css_classes[] = 'vc_row-has-fill';
    }

    if ( ! empty( $atts['gap'] ) ) {
        $css_classes[] = 'vc_column-gap-' . $atts['gap'];
    }

    $wrapper_attributes = array();
    // build attributes for wrapper
    if ( ! empty( $el_id ) ) {
        $wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
    }
    if ( ! empty( $full_width ) ) {
        $wrapper_attributes[] = 'data-vc-full-width="true"';
        $wrapper_attributes[] = 'data-vc-full-width-init="false"';
        if ( 'stretch_row_content' === $full_width ) {
            $wrapper_attributes[] = 'data-vc-stretch-content="true"';
        } elseif ( 'stretch_row_content_no_spaces' === $full_width ) {
            $wrapper_attributes[] = 'data-vc-stretch-content="true"';
            $css_classes[] = 'vc_row-no-padding';
        }
        $after_output .= '<div class="vc_row-full-width vc_clearfix"></div>';
    }

    if ( ! empty( $full_height ) ) {
        $css_classes[] = 'vc_row-o-full-height';
        if ( ! empty( $columns_placement ) ) {
            $flex_row = true;
            $css_classes[] = 'vc_row-o-columns-' . $columns_placement;
            if ( 'stretch' === $columns_placement ) {
                $css_classes[] = 'vc_row-o-equal-height';
            }
        }
    }

    if ( ! empty( $equal_height ) ) {
        $flex_row = true;
        $css_classes[] = 'vc_row-o-equal-height';
    }

    if ( ! empty( $content_placement ) ) {
        $flex_row = true;
        $css_classes[] = 'vc_row-o-content-' . $content_placement;
    }

    if ( ! empty( $flex_row ) ) {
        $css_classes[] = 'vc_row-flex';
    }

    $has_video_bg = ( ! empty( $video_bg ) && ! empty( $video_bg_url ) && vc_extract_youtube_id( $video_bg_url ) );

    $parallax_speed = $parallax_speed_bg;
    if ( $has_video_bg ) {
        $parallax = $video_bg_parallax;
        $parallax_speed = $parallax_speed_video;
        $parallax_image = $video_bg_url;
        $css_classes[] = 'vc_video-bg-container';
        wp_enqueue_script( 'vc_youtube_iframe_api_js' );
    }

    if ( ! empty( $parallax ) ) {
        wp_enqueue_script( 'vc_jquery_skrollr_js' );
        $wrapper_attributes[] = 'data-vc-parallax="' . esc_attr( $parallax_speed ) . '"'; // parallax speed
        $css_classes[] = 'vc_general vc_parallax vc_parallax-' . $parallax;
        if ( false !== strpos( $parallax, 'fade' ) ) {
            $css_classes[] = 'js-vc_parallax-o-fade';
            $wrapper_attributes[] = 'data-vc-parallax-o-fade="on"';
        } elseif ( false !== strpos( $parallax, 'fixed' ) ) {
            $css_classes[] = 'js-vc_parallax-o-fixed';
        }
    }

    if ( ! empty( $parallax_image ) ) {
        if ( $has_video_bg ) {
            $parallax_image_src = $parallax_image;
        } else {
            $parallax_image_id = preg_replace( '/[^\d]/', '', $parallax_image );
            $parallax_image_src = wp_get_attachment_image_src( $parallax_image_id, 'full' );
            if ( ! empty( $parallax_image_src[0] ) ) {
                $parallax_image_src = $parallax_image_src[0];
            }
        }
        $wrapper_attributes[] = 'data-vc-parallax-image="' . esc_attr( $parallax_image_src ) . '"';
    }
    if ( ! $parallax && $has_video_bg ) {
        $wrapper_attributes[] = 'data-vc-video-bg="' . esc_attr( $video_bg_url ) . '"';
    }
    $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( array_unique( $css_classes ) ) ), $this->settings['base'], $atts ) );
    $wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

    $output .= '<div class="clearfix"></div><div ' . implode( ' ', $wrapper_attributes ) . '>';
    $output .= wpb_js_remove_wpautop( $content );
    $output .= '</div><div class="clearfix"></div>';
    $output .= $after_output;

    echo $output;


}
