<?php
/*
Plugin Name: Bloom Add-ons
Plugin URI: https://demowp.cththemes.com/bloom/
Description: A custom plugin for Bloom - Responsive Photography Portfolio WordPress Theme
Version: 1.0
Author: CTHthemes
Author URI: http://themeforest.net/user/cththemes
Text Domain: bloom-add-ons
Domain Path: /languages/
License: GNU General Public License version 3.0
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/
if ( ! defined('ABSPATH') ) {
    die('Please do not load this file directly!');
}
define ('CTH_DIOPTER_DIR',plugin_dir_path(__FILE__ ));
define ('CTH_DIOPTER_DIR_URL',plugin_dir_url(__FILE__ ));
// admin style
add_action('admin_head', 'cth_bloom_admin_style');
if(!function_exists('cth_bloom_admin_style')){
    function cth_bloom_admin_style() {
        echo '<link rel="stylesheet" href="'.CTH_DIOPTER_DIR_URL.'assets/admin/style.css" type="text/css" media="all" />';
    } 
}

function cth_register_cpt_Portfolio() {
    
    $labels = array( 
        'name' => __( 'Portfolio', 'bloom-add-ons' ),
        'singular_name' => __( 'Portfolio', 'bloom-add-ons' ),
        'add_new' => __( 'Add New Portfolio', 'bloom-add-ons' ),
        'add_new_item' => __( 'Add New Portfolio', 'bloom-add-ons' ),
        'edit_item' => __( 'Edit Portfolio', 'bloom-add-ons' ),
        'new_item' => __( 'New Portfolio', 'bloom-add-ons' ),
        'view_item' => __( 'View Portfolio', 'bloom-add-ons' ),
        'search_items' => __( 'Search Portfolios', 'bloom-add-ons' ),
        'not_found' => __( 'No Portfolios found', 'bloom-add-ons' ),
        'not_found_in_trash' => __( 'No Portfolios found in Trash', 'bloom-add-ons' ),
        'parent_item_colon' => __( 'Parent Portfolio:', 'bloom-add-ons' ),
        'menu_name' => __( 'Bloom Portfolios', 'bloom-add-ons' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Portfolios',
        'supports' => array( 'title', 'editor', 'thumbnail','comments','excerpt'/*, 'post-formats'*/),
        'taxonomies' => array('portfolio_cat'),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 20,
        'menu_icon' => plugin_dir_url( __FILE__ ) .'assets/admin_ico_portfolio.png', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => array( 'slug' => __('portfolio','bloom-add-ons') ),
        'capability_type' => 'post'
    );

    register_post_type( 'portfolio', $args );
}

//Register Portfolio 
add_action( 'init', 'cth_register_cpt_Portfolio' );


//create a custom taxonomy name it Skills for your posts

function cth_create_Skills_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like categories
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Portfolio Categories', 'bloom-add-ons' ),
    'singular_name' => __( 'Category', 'bloom-add-ons' ),
    'search_items' =>  __( 'Search Categories','bloom-add-ons' ),
    'all_items' => __( 'All Categories','bloom-add-ons' ),
    'parent_item' => __( 'Parent Category','bloom-add-ons' ),
    'parent_item_colon' => __( 'Parent Category:','bloom-add-ons' ),
    'edit_item' => __( 'Edit Category','bloom-add-ons' ), 
    'update_item' => __( 'Update Category','bloom-add-ons' ),
    'add_new_item' => __( 'Add New Category','bloom-add-ons' ),
    'new_item_name' => __( 'New Category Name','bloom-add-ons' ),
    'menu_name' => __( 'Portfolio Categories','bloom-add-ons' ),
  );     

// Now register the taxonomy

  register_taxonomy('portfolio_cat',array('portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_in_nav_menus'=> true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => __('portfolio_cat','bloom-add-ons') ),
  ));

}

//Add Portfolio Skills
    
add_action( 'init', 'cth_create_Skills_hierarchical_taxonomy', 0 );


if(!function_exists('cth_portfolio_columns_head')){
    function cth_portfolio_columns_head($defaults) {
        $defaults['cth_portfolio_thumbnail'] = 'Thumbnail';
        $defaults['cth_portfolio_id'] = 'ID';
        
        return $defaults;
    }
}
if(!function_exists('cth_portfolio_columns_content')){
    // CUSTOM POSTS
    function cth_portfolio_columns_content($column_name, $post_ID) {
        if ($column_name == 'cth_portfolio_id') {
            echo $post_ID;
        }
        if ($column_name == 'cth_portfolio_thumbnail') {
            echo get_the_post_thumbnail( $post_ID, 'thumbnail', array('style'=>'width:100px;height:auto;') );
        }
    }
}

add_filter('manage_portfolio_posts_columns', 'cth_portfolio_columns_head', 10);
add_action('manage_portfolio_posts_custom_column', 'cth_portfolio_columns_content', 10, 2);

if(!function_exists('cth_portfolio_cat_columns_head')){
    function cth_portfolio_cat_columns_head($defaults) {
        $defaults['portfolio_cat_id'] = __('ID','bloom-add-ons');
        return $defaults;
    }
}

if(!function_exists('cth_portfolio_cat_columns_content')){
    function cth_portfolio_cat_columns_content($c, $column_name, $term_id) {
        if ($column_name == 'portfolio_cat_id') {
            echo $term_id;
        }
    }
}
add_filter('manage_edit-portfolio_cat_columns', 'cth_portfolio_cat_columns_head');
add_filter('manage_portfolio_cat_custom_column', 'cth_portfolio_cat_columns_content', 10, 3);


//register Team Member post type
function Bloom_Add_ons_register_cpt_Bloom_Member() {
    
    $labels = array( 
        'name' => __( 'Members', 'bloom-add-ons' ),
        'singular_name' => __( 'Member', 'bloom-add-ons' ),
        'add_new' => __( 'Add New Member', 'bloom-add-ons' ),
        'add_new_item' => __( 'Add New Member', 'bloom-add-ons' ),
        'edit_item' => __( 'Edit Member', 'bloom-add-ons' ),
        'new_item' => __( 'New Member', 'bloom-add-ons' ),
        'view_item' => __( 'View Member', 'bloom-add-ons' ),
        'search_items' => __( 'Search Members', 'bloom-add-ons' ),
        'not_found' => __( 'No Members found', 'bloom-add-ons' ),
        'not_found_in_trash' => __( 'No Members found in Trash', 'bloom-add-ons' ),
        'parent_item_colon' => __( 'Parent Member:', 'bloom-add-ons' ),
        'menu_name' => __( 'Bloom Members', 'bloom-add-ons' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Members',
        'supports' => array( 'title', 'editor', 'thumbnail','excerpt'/*,'comments', 'post-formats'*/),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 20,
        'menu_icon' =>  'dashicons-groups',
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => false,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => array( 'slug' => __('member','bloom-add-ons') ),
        'capability_type' => 'post'
    );

    register_post_type( 'member', $args );
}
// Register Member 
add_action( 'init', 'Bloom_Add_ons_register_cpt_Bloom_Member' );
if(!function_exists('bloom_member_columns_head')){
    function bloom_member_columns_head($defaults) {
        $defaults['bloom_member_thumbnail'] = 'Thumbnail';
        $defaults['bloom_member_id'] = 'ID';
        return $defaults;
    }
}
if(!function_exists('bloom_member_columns_content')){
    // CUSTOM POSTS
    function bloom_member_columns_content($column_name, $post_ID) {
        if ($column_name == 'bloom_member_id') {
            echo $post_ID;
        }
        if ($column_name == 'bloom_member_thumbnail') {
            echo get_the_post_thumbnail( $post_ID, 'thumbnail', array('style'=>'width:100px;height:auto;') );
        }
    }
}

add_filter('manage_member_posts_columns', 'bloom_member_columns_head', 10);
add_action('manage_member_posts_custom_column', 'bloom_member_columns_content', 10, 2);

// Page ID
if(!function_exists('bloom_page_columns_head')){
    function bloom_page_columns_head($defaults) {
        $defaults['page_id'] = 'ID';
        return $defaults;
    }
}
if(!function_exists('bloom_page_columns_content')){
    // CUSTOM POSTS
    function bloom_page_columns_content($column_name, $post_ID) {
        if ($column_name == 'page_id') {
            echo $post_ID;
        }
    }
}

add_filter('manage_page_posts_columns', 'bloom_page_columns_head', 10);
add_action('manage_page_posts_custom_column', 'bloom_page_columns_content', 10, 2);

// Post ID
if(!function_exists('bloom_post_columns_head')){
    function bloom_post_columns_head($defaults) {
        $defaults['post_id'] = 'ID';
        return $defaults;
    }
}
if(!function_exists('bloom_post_columns_content')){
    // CUSTOM POSTS
    function bloom_post_columns_content($column_name, $post_ID) {
        if ($column_name == 'post_id') {
            echo $post_ID;
        }
    }
}

add_filter('manage_post_posts_columns', 'bloom_post_columns_head', 10);
add_action('manage_post_posts_custom_column', 'bloom_post_columns_content', 10, 2);

function cth_bloom_plugins_init() {
    $plugin_dir = basename(dirname(__FILE__));
    load_plugin_textdomain( 'bloom-add-ons', false, $plugin_dir . '/languages' );
}
add_action('plugins_loaded', 'cth_bloom_plugins_init');

/* Enable shortcode in widget text content */
add_filter('widget_text', 'do_shortcode');

if(!function_exists('faicon_sc')) {

    function faicon_sc( $atts, $content="" ) {
    
        extract(shortcode_atts(array(
               'name' =>"magic",
               'class'=>'',
         ), $atts));

        $name = str_replace(array("fa fa-","fa-"), "", $name);

        $classes = 'fa fa-'.$name;
        if(!empty($class)){
            $classes .= ' '.$class;
        }
        
        return '<i class="'.$classes.'"></i>'. $content;
     
    }
        
    add_shortcode( 'faicon', 'faicon_sc' ); //Icon
}